Bug 46691 - postfix 2.0 update
Summary: postfix 2.0 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pete Fritchman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-02 16:20 UTC by Vivek Khera
Modified: 2003-01-09 05:11 UTC (History)
0 users

See Also:


Attachments
postfix.patch (78.37 KB, patch)
2003-01-02 16:20 UTC, Vivek Khera
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vivek Khera 2003-01-02 16:20:04 UTC
	
update postfix to release version 2.0.0.1

this supercedes PR 46689 which did not include the IPv6+TLS patch
update.

Fix: after applying patch, delete zero-length patch files which are no
longer needed.
Comment 1 jbozza 2003-01-03 15:33:30 UTC
Locally patched my postfix port with this PR, changing the PORTVERSION from
2.0.0.1 to 2.0.0.2 in Makefile (.2 is just a documentation update) and
changing the distinfo file for the correct MD5 signature
(1e51a2290d33ee498f9abe91dbb27dc2) and everything worked fine.
Comment 2 Vivek Khera 2003-01-03 15:55:48 UTC
>>>>> "JB" == Jaime Bozza <jbozza@thinkburst.com> writes:

JB> Locally patched my postfix port with this PR, changing the PORTVERSION from
JB> 2.0.0.1 to 2.0.0.2 in Makefile (.2 is just a documentation update) and
JB> changing the distinfo file for the correct MD5 signature
JB> (1e51a2290d33ee498f9abe91dbb27dc2) and everything worked fine.

Hmmm. I haven't been getting the announcements of updates for some
reason... I'll update and resubmit the port.  Thanks.
Comment 3 Vivek Khera 2003-01-03 16:48:13 UTC
Apparently about the same time I submitted this patch, the old port
update was applied and a new postfix update was issued.  Attached is a
patch relative to the postfix 1.1.12,1 port that updates it to
2.0.0.2.

begin 644 postfix.patch
M9&EF9B`M3G)U('!O<W1F:7@O36%K969I;&4@<&]S=&9I>"UN97<O36%K969I
M;&4*+2TM('!O<W1F:7@O36%K969I;&4)5&AU($IA;B`@,B`Q-#HR.3HP.2`R
M,#`S"BLK*R!P;W-T9FEX+6YE=R]-86ME9FEL90E&<FD@2F%N("`S(#$Q.C,V
M.C(X(#(P,#,*0$`@+3(L,3<@*S(L,3D@0$`*(",@1&%T92!C<F5A=&5D.B`)
M,3@@36%R(#$Y.3D*(",@5VAO;3H)"0ET;W)S=&5N8@H@(PHM(R`D1G)E94)3
M1#H@<&]R=',O;6%I;"]P;W-T9FEX+TUA:V5F:6QE+'8@,2XV,R`R,#`S+S`Q
M+S`R(#$U.C4P.C0R(&EJ;&EA;R!%>'`@)`HK(R`D1G)E94)31#H@<&]R=',O
M;6%I;"]P;W-T9FEX+6-U<G)E;G0O36%K969I;&4L=B`Q+CDQ(#(P,#(O,3$O
M,C$@,34Z,S@Z,S0@9'=C:G(@17AP("0*(",*(`H@(R!4;R!P<F4M<V5L96-T
M(&]P=&EO;G,@:6X@8F%T8V@@;6]D92P@<G5N(&UA:V4@;&EK92!T:&ES.@H@
M(PH@(R`@;6%K92`M1$)!5$-((%!/4U1&25A?3U!424].4STB1$(S(%!#4D4B
M"B`C"BTC('1H92!O<'1I;VYS(&%R92!T:&4@<V%M92!N86UE<R!A<R!I;B!T
M:&4@<V-R:7!T<R]C;VYF:6=U<F4N<&]S=&9I>"!F:6QE"BLC('1H92!O<'1I
M;VYS(&%R92!T:&4@<V%M92!N86UE<R!A<R!I;B!T:&4@<V-R:7!T<R]C;VYF
M:6=U<F4N<&]S=&9I>"!F:6QE+@HK(R!03U-41DE87T]05$E/3E,@8V%N(&)E
M('-E="!I;B`O971C+VUA:V4N8V]N9B!A;'-O+@H@"B!03U)43D%-13T)<&]S
M=&9I>`HM4$]25%9%4E-)3TX]"3$N,2XQ,@HK4$]25%9%4E-)3TX]"3(N,"XP
M+C(**R-03U)44D5625-)3TX]"3$*(%!/4E1%4$]#2#T),0H@0T%414=/4DE%
M4ST);6%I;"!I<'8V"B!-05-415)?4TE415,]"69T<#HO+V9T<"YP;W)C=7!I
M;F4N;W)G+VUI<G)O<G,O<&]S=&9I>"UR96QE87-E+V]F9FEC:6%L+R!<"D!`
M("TT-"PV("LT-BPX($!`"B`C(%1,4R!P871C:"!A9&1S('1O($U!3C@@8G5T
M(&1O97-N)W0@:&%V92`N:'1M;"!F:6QE+"!S;R!A=F]I9"!T<GEI;F<@=&\*
M(",@<&%T8V@@:70N"B!-04XX8F%S93TD*$U!3C@Z4R]T;'-M9W(N."\O*0HK
M"BM.3U],051%4U1?3$E.2ST)>65S"B`*($-/3D8Q/0EM86EN+F-F(&UA<W1E
M<BYC9B!A8V-E<W,@86QI87-E<R!C86YO;FEC86P@<&-R95]T86)L92!R96=E
M>'!?=&%B;&4@7`H@"7)E;&]C871E9"!T<F%N<W!O<G0@=FER='5A;`ID:69F
M("U.<G4@<&]S=&9I>"]D:7-T:6YF;R!P;W-T9FEX+6YE=R]D:7-T:6YF;PHM
M+2T@<&]S=&9I>"]D:7-T:6YF;PE4:'4@2F%N("`R(#$T.C(Y.C`Y(#(P,#,*
M*RLK('!O<W1F:7@M;F5W+V1I<W1I;F9O"49R:2!*86X@(#,@,3$Z,S<Z,S8@
M,C`P,PI`0"`M,2PT("LQ+#0@0$`*+4U$-2`H<&]S=&9I>"]P;W-T9FEX+3$N
M,2XQ,BYT87(N9WHI(#T@9#%D,&8Y-SDR96,V96$P-C-C8V-A-3DQ.#1E-30R
M,3(*+4U$-2`H<&]S=&9I>"]P9FEX=&QS+3`N."XQ,6$M,2XQ+C$Q+3`N.2XV
M9RYT87(N9WHI(#T@,3%D.#)E.6$S-#@R9C8T868Y9#(R.&8W830S,3DU-C8*
M+4U$-2`H<&]S=&9I>"]P;W-T9FEX+3$N,2XQ,BMI<'8V+G!A=&-H+F=Z*2`]
M(&%D9#0S.39C934P8V$V,6(U9#EB-C<T-31F8C4Q,C4X"BM-1#4@*'!O<W1F
M:7@O<&]S=&9I>"TR+C`N,"XR+G1A<BYG>BD@/2`Q934Q83(R.3!D,S-E930Y
M.&8Y86)E.3%D8F(R-V1C,@HK340U("AP;W-T9FEX+W!F:7AT;',M,"XX+C$R
M+3(N,"XP+C$M,"XY+C9H+G1A<BYG>BD@/2`Q,3$Q8CDW8S<W93<Q8C)F-V5D
M9#EA8C9D,S9F8C4U,`H@340U("AP;W-T9FEX+W!O<W1F:7@M<&<N<&]S=&9I
M>"TQ+C$N."YP871C:"D@/2!E,&8T9#DQ,&$V9#8V-#AD.6(T.&4R,C0T9C(W
M-C1B80HK340U("AP;W-T9FEX+W1L<RMI<'8V+3$N,3`M<&8M,BXP+C`N,2YP
M871C:"YG>BD@/2!E9#$X8S8Y,S-F83@Q.38Q8F-B9#%E,V$R.#0Y,S0X-PID
M:69F("U.<G4@<&]S=&9I>"]F:6QE<R]P871C:"UB9"!P;W-T9FEX+6YE=R]F
M:6QE<R]P871C:"UB9`HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UB9`E4=64@
M3F]V(#$T(#`Q.C(X.C4W(#(P,#`**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A
M=&-H+6)D"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PQ,2`K,"PP
M($!`"BTJ*BH@+B]H=&UL+VQO8V%L+C@N:'1M;"YO<FEG"51H=2!&96(@(#,@
M,C$Z,34Z,#(@,C`P,`HM+2TM("XO:'1M;"]L;V-A;"XX+FAT;6P)5&AU($IU
M;B`@,2`R,CHR,CHS,"`R,#`P"BTJ*BHJ*BHJ*BHJ*BHJ*BH*+2HJ*B`Y.2PQ
M,#$@*BHJ*@HM("`@("`@("`@5&AE(&1E9F%U;'0@<&5R+75S97(@;6%I;&)O
M>"!I<R!A(&9I;&4@:6X@('1H92`@54Y)6"`@;6%I;`HM(2`@("`@("`@<W!O
M;VP@(&1I<F5C=&]R>2`H/&(^+W9A<B]M86EL+SPO8CX\:3YU<V5R/"]I/B!O
M<B`\8CXO=F%R+W-P;V]L+VUA:6PO/"]B/CQI/G5S97(\+VD^*3L*+2`@("`@
M("`@('1H92!L;V-A=&EO;B!C86X@8F4@<W!E8VEF:65D('=I=&@@('1H92`@
M/&(^;6%I;#PO8CX\:3Y?/"]I/CQB/G-P;V]L/"]B/CQI/E\\+VD^/&(^9&ER
M96,M/"]B/@HM+2TM(#DY+#$P,2`M+2TM"BT@("`@("`@("!4:&4@9&5F875L
M="!P97(M=7-E<B!M86EL8F]X(&ES(&$@9FEL92!I;B`@=&AE("!53DE8("!M
M86EL"BTA("`@("`@("!S<&]O;"`@9&ER96-T;W)Y("@\8CXO=F%R+VUA:6PO
M/"]B/CQI/G5S97(\+VD^*3L*+2`@("`@("`@('1H92!L;V-A=&EO;B!C86X@
M8F4@<W!E8VEF:65D('=I=&@@('1H92`@/&(^;6%I;#PO8CX\:3Y?/"]I/CQB
M/G-P;V]L/"]B/CQI/E\\+VD^/&(^9&ER96,M/"]B/@ID:69F("U.<G4@<&]S
M=&9I>"]F:6QE<R]P871C:"UC:R!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UC
M:PHM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UC:PE4=64@3F]V(#$T(#`Q.C(X
M.C4W(#(P,#`**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+6-K"5=E9"!$
M96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PQ,2`K,"PP($!`"BTJ*BH@+B]M
M86XO;6%N."]L;V-A;"XX+F]R:6<)5&AU($9E8B`@,R`R,3HQ-#HU,R`R,#`P
M"BTM+2T@+B]M86XO;6%N."]L;V-A;"XX"51H=2!*=6X@(#$@,C(Z-#(Z-#,@
M,C`P,`HM*BHJ*BHJ*BHJ*BHJ*BHJ"BTJ*BH@.38L.3@@*BHJ*@HM("!4:&4@
M9&5F875L="!P97(M=7-E<B!M86EL8F]X(&ES(&$@9FEL92!I;B!T:&4@54Y)
M6"!M86EL('-P;V]L"BTA(&1I<F5C=&]R>2`H7&9"+W9A<B]M86EL+UQF275S
M97)<9E(@;W(@7&9"+W9A<B]S<&]O;"]M86EL+UQF275S97)<9E(I.PHM("!T
M:&4@;&]C871I;VX@8V%N(&)E('-P96-I9FEE9"!W:71H('1H92!<9D)M86EL
M7W-P;V]L7V1I<F5C=&]R>5QF4@HM+2TM(#DV+#DX("TM+2T*+2`@5&AE(&1E
M9F%U;'0@<&5R+75S97(@;6%I;&)O>"!I<R!A(&9I;&4@:6X@=&AE(%5.25@@
M;6%I;"!S<&]O;`HM(2!D:7)E8W1O<GD@*%QF0B]V87(O;6%I;"]<9DEU<V5R
M7&92*3L*+2`@=&AE(&QO8V%T:6]N(&-A;B!B92!S<&5C:69I960@=VET:"!T
M:&4@7&9";6%I;%]S<&]O;%]D:7)E8W1O<GE<9E(*9&EF9B`M3G)U('!O<W1F
M:7@O9FEL97,O<&%T8V@M96$@<&]S=&9I>"UN97<O9FEL97,O<&%T8V@M96$*
M+2TM('!O<W1F:7@O9FEL97,O<&%T8V@M96$)5V5D($1E8R`S,2`Q.3HP,#HP
M,"`Q.38Y"BLK*R!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UE80E4=64@3V-T
M(#,Q(#(S.C4S.C,P(#(P,#`*0$`@+3`L,"`K,2PQ,R!`0`HK*BHJ("XO<W)C
M+V-L96%N=7`O8VQE86YU<"YC+F]R:6<)4W5N($UA>2`R."`Q.#HS,SHT,2`R
M,#`P"BLM+2T@+B]S<F,O8VQE86YU<"]C;&5A;G5P+F,)5&AU($IU;B`@,2`R
M,3HU,CHR,B`R,#`P"BLJ*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`Q,3@L,3(Q("HJ
M*BH**R`@+RH@1DE,15,**R$@+RH)+V5T8R]P;W-T9FEX+V-A;F]N:6-A;"HL
M(&-A;F]N:6-A;"!M87!P:6YG('1A8FQE"BLA("\J"2]E=&,O<&]S=&9I>"]V
M:7)T=6%L*BP@=FER='5A;"!M87!P:6YG('1A8FQE"BL@("\J($Q)0T5.4T4*
M*RTM+2`Q,3@L,3(Q("TM+2T**R`@+RH@1DE,15,**R$@+RH)(2%04D5&25@A
M(2]E=&,O<&]S=&9I>"]C86YO;FEC86PJ+"!C86YO;FEC86P@;6%P<&EN9R!T
M86)L90HK(2`O*@DA(5!2149)6"$A+V5T8R]P;W-T9FEX+W9I<G1U86PJ+"!V
M:7)T=6%L(&UA<'!I;F<@=&%B;&4**R`@+RH@3$E#14Y310ID:69F("U.<G4@
M<&]S=&9I>"]F:6QE<R]P871C:"UE8B!P;W-T9FEX+6YE=R]F:6QE<R]P871C
M:"UE8@HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UE8@E7960@1&5C(#,Q(#$Y
M.C`P.C`P(#$Y-CD**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+65B"51U
M92!/8W0@,S$@,C,Z-3,Z,S`@,C`P,`I`0"`M,"PP("LQ+#$Q($!`"BLJ*BH@
M+B]S<F,O9VQO8F%L+VUA:6Q?8V]N9BYC+F]R:6<)4W5N($UA>2`@-R`Q.#HU
M,3HQ-B`R,#`P"BLM+2T@+B]S<F,O9VQO8F%L+VUA:6Q?8V]N9BYC"51H=2!*
M=6X@(#$@,C(Z,38Z,CD@,C`P,`HK*BHJ*BHJ*BHJ*BHJ*BHJ"BLJ*BH@-3,L
M-34@*BHJ*@HK("`O*B!&24Q%4PHK(2`O*@DO971C+W!O<W1F:7@Z(&1E9F%U
M;'0@4&]S=&9I>"!C;VYF:6=U<F%T:6]N(&1I<F5C=&]R>2X**R`@+RH@14Y6
M25)/3DU%3E0**RTM+2`U,RPU-2`M+2TM"BL@("\J($9)3$53"BLA("\J"2$A
M4%)%1DE8(2$O971C+W!O<W1F:7@Z(&1E9F%U;'0@4&]S=&9I>"!C;VYF:6=U
M<F%T:6]N(&1I<F5C=&]R>2X**R`@+RH@14Y625)/3DU%3E0*9&EF9B`M3G)U
M('!O<W1F:7@O9FEL97,O<&%T8V@M964@<&]S=&9I>"UN97<O9FEL97,O<&%T
M8V@M964*+2TM('!O<W1F:7@O9FEL97,O<&%T8V@M964)5V5D($1E8R`S,2`Q
M.3HP,#HP,"`Q.38Y"BLK*R!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UE90E4
M=64@3V-T(#,Q(#(S.C4S.C,P(#(P,#`*0$`@+3`L,"`K,2PQ,R!`0`HK*BHJ
M("XO<W)C+VUA<W1E<B]M87-T97(N8RYO<FEG"51U92!-87(@(#<@,3`Z,C4Z
M,#<@,C`P,`HK+2TM("XO<W)C+VUA<W1E<B]M87-T97(N8PE4:'4@2G5N("`Q
M(#(R.C0S.C4P(#(P,#`**RHJ*BHJ*BHJ*BHJ*BHJ*@HK*BHJ(#$P-"PQ,#<@
M*BHJ*@HK("`O*B!&24Q%4PHK(2`O*@DO971C+W!O<W1F:7@O;6%I;BYC9CH@
M9VQO8F%L(&-O;F9I9W5R871I;VX@9FEL92X**R$@+RH)+V5T8R]P;W-T9FEX
M+VUA<W1E<BYC9CH@;6%S=&5R('!R;V-E<W,@8V]N9FEG=7)A=&EO;B!F:6QE
M+@HK("`O*@DO=F%R+W-P;V]L+W!O<W1F:7@O<&ED+VUA<W1E<BYP:60Z(&UA
M<W1E<B!L;V-K(&9I;&4N"BLM+2T@,3`T+#$P-R`M+2TM"BL@("\J($9)3$53
M"BLA("\J"2$A4%)%1DE8(2$O971C+W!O<W1F:7@O;6%I;BYC9CH@9VQO8F%L
M(&-O;F9I9W5R871I;VX@9FEL92X**R$@+RH)(2%04D5&25@A(2]E=&,O<&]S
M=&9I>"]M87-T97(N8V8Z(&UA<W1E<B!P<F]C97-S(&-O;F9I9W5R871I;VX@
M9FEL92X**R`@+RH)+W9A<B]S<&]O;"]P;W-T9FEX+W!I9"]M87-T97(N<&ED
M.B!M87-T97(@;&]C:R!F:6QE+@ID:69F("U.<G4@<&]S=&9I>"]F:6QE<R]P
M871C:"UE9B!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UE9@HM+2T@<&]S=&9I
M>"]F:6QE<R]P871C:"UE9@E7960@1&5C(#,Q(#$Y.C`P.C`P(#$Y-CD**RLK
M('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+65F"51U92!/8W0@,S$@,C,Z-3,Z
M,S`@,C`P,`I`0"`M,"PP("LQ+#$Q($!`"BLJ*BH@+B]S<F,O<&]S=&1R;W`O
M<&]S=&1R;W`N8RYO<FEG"5-U;B!!<'(@,C4@,3@Z,#4Z-#,@,3DY.0HK+2TM
M("XO<W)C+W!O<W1D<F]P+W!O<W1D<F]P+F,)5&AU($IU;B`@,2`R,CHT-#HR
M,B`R,#`P"BLJ*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`S.2PT,2`J*BHJ"BL@("\J
M"2]V87(O<W!O;VPO<&]S=&9I>"P@;6%I;"!Q=65U90HK(2`O*@DO971C+W!O
M<W1F:7@L(&-O;F9I9W5R871I;VX@9FEL97,**R`@+RH@0T].1DE'55)!5$E/
M3B!005)!345415)3"BLM+2T@,SDL-#$@+2TM+0HK("`O*@DO=F%R+W-P;V]L
M+W!O<W1F:7@L(&UA:6P@<75E=64**R$@+RH)(2%04D5&25@A(2]E=&,O<&]S
M=&9I>"P@8V]N9FEG=7)A=&EO;B!F:6QE<PHK("`O*B!#3TY&24=54D%424].
M(%!!4D%-151%4E,*9&EF9B`M3G)U('!O<W1F:7@O9FEL97,O<&%T8V@M96<@
M<&]S=&9I>"UN97<O9FEL97,O<&%T8V@M96<*+2TM('!O<W1F:7@O9FEL97,O
M<&%T8V@M96<)5V5D($1E8R`S,2`Q.3HP,#HP,"`Q.38Y"BLK*R!P;W-T9FEX
M+6YE=R]F:6QE<R]P871C:"UE9PE4=64@3V-T(#,Q(#(S.C4S.C,P(#(P,#`*
M0$`@+3`L,"`K,2PR,"!`0`HK*BHJ("XO<W)C+W-E;F1M86EL+W-E;F1M86EL
M+F,N;W)I9PE4=64@36%R(#$T(#$P.C0R.C`V(#(P,#`**RTM+2`N+W-R8R]S
M96YD;6%I;"]S96YD;6%I;"YC"51H=2!*=6X@(#$@,C(Z-#<Z,C0@,C`P,`HK
M*BHJ*BHJ*BHJ*BHJ*BHJ"BLJ*BH@-3<L-3D@*BHJ*@HK("`O*@E4:&4@<&%T
M:"!N86UE(&]F('1H92!<9D)S96YD;6%I;"YC9EQF4B!F:6QE+B!0;W-T9FEX
M(&-O;F9I9W5R871I;VX**R$@+RH)9FEL97,@87)E(&ME<'0@:6X@7&9"+V5T
M8R]P;W-T9FEX7&92+@HK("`O*B`N25`@(EQF0BU&(%QF269U;&Q?;F%M95QF
M4@HK+2TM(#4W+#4Y("TM+2T**R`@+RH)5&AE('!A=&@@;F%M92!O9B!T:&4@
M7&9"<V5N9&UA:6PN8V9<9E(@9FEL92X@4&]S=&9I>"!C;VYF:6=U<F%T:6]N
M"BLA("\J"69I;&5S(&%R92!K97!T(&EN(%QF0B$A4%)%1DE8(2$O971C+W!O
M<W1F:7A<9E(N"BL@("\J("Y)4"`B7&9"+48@7&9)9G5L;%]N86UE7&92"BLJ
M*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`Q-3DL,38Q("HJ*BH**R`@+RH)+W9A<B]S
M<&]O;"]P;W-T9FEX+"!M86EL('%U975E"BLA("\J"2]E=&,O<&]S=&9I>"P@
M8V]N9FEG=7)A=&EO;B!F:6QE<PHK("`O*B!#3TY&24=54D%424].(%!!4D%-
M151%4E,**RTM+2`Q-3DL,38Q("TM+2T**R`@+RH)+W9A<B]S<&]O;"]P;W-T
M9FEX+"!M86EL('%U975E"BLA("\J"2$A4%)%1DE8(2$O971C+W!O<W1F:7@L
M(&-O;F9I9W5R871I;VX@9FEL97,**R`@+RH@0T].1DE'55)!5$E/3B!005)!
M345415)3"F1I9F8@+4YR=2!P;W-T9FEX+V9I;&5S+W!A=&-H+65H('!O<W1F
M:7@M;F5W+V9I;&5S+W!A=&-H+65H"BTM+2!P;W-T9FEX+V9I;&5S+W!A=&-H
M+65H"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0HK*RL@<&]S=&9I>"UN97<O
M9FEL97,O<&%T8V@M96@)5'5E($]C="`S,2`R,SHU,SHS,"`R,#`P"D!`("TP
M+#`@*S$L,3$@0$`**RHJ*B`N+W-R8R]T<FEV:6%L+7)E=W)I=&4O=')A;G-P
M;W)T+F,N;W)I9PE4=64@3F]V(#$V(#$Y.C$U.C0Q(#$Y.3D**RTM+2`N+W-R
M8R]T<FEV:6%L+7)E=W)I=&4O=')A;G-P;W)T+F,)5&AU($IU;B`@,2`R,CHT
M-SHT.2`R,#`P"BLJ*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`S,BPS-"`J*BHJ"BL@
M("\J($9)3$53"BLA("\J"2]E=&,O<&]S=&9I>"]T<F%N<W!O<G0J"BL@("\J
M($-/3D9)1U52051)3TX@4$%204U%5$524PHK+2TM(#,R+#,T("TM+2T**R`@
M+RH@1DE,15,**R$@+RH)(2%04D5&25@A(2]E=&,O<&]S=&9I>"]T<F%N<W!O
M<G0J"BL@("\J($-/3D9)1U52051)3TX@4$%204U%5$524PID:69F("U.<G4@
M<&]S=&9I>"]F:6QE<R]P871C:"UE:2!P;W-T9FEX+6YE=R]F:6QE<R]P871C
M:"UE:0HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UE:0E-;VX@2G5L(#(Y(#$Q
M.C,Y.C`S(#(P,#(**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+65I"5=E
M9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PR,2`K,"PP($!`"BTJ*BH@
M+B]S<F,O<VUT<&0O<VUT<&0N:"YO<FEG"51H=2!397`@,30@,3`Z,3<Z,C,@
M,C`P,`HM+2TM("XO<W)C+W-M='!D+W-M='!D+F@)5&AU(%-E<"`Q-"`Q,#HQ
M-SHS."`R,#`P"BTJ*BHJ*BHJ*BHJ*BHJ*BH*+2HJ*B`Q,BPQ.2`J*BHJ"BT@
M("`@*B!305-,(&QI8G)A<GDN"BT@("`@*B\*+2`@(VEF9&5F(%5315]305-,
M7T%55$@*+2$@(VEN8VQU9&4@/'-A<VPN:#X*+2$@(VEN8VQU9&4@/'-A<VQU
M=&EL+F@^"BT@("-E;F1I9@HM("`*+2`@("\J"BTM+2T@,3(L,3D@+2TM+0HM
M("`@("H@4T%33"!L:6)R87)Y+@HM("`@("HO"BT@("-I9F1E9B!54T5?4T%3
M3%]!551("BTA("-I;F-L=61E(#QS87-L,2]S87-L+F@^"BTA("-I;F-L=61E
M(#QS87-L,2]S87-L=71I;"YH/@HM("`C96YD:68*+2`@"BT@("`O*@ID:69F
M("U.<G4@<&]S=&9I>"]F:6QE<R]P871C:"UE:B!P;W-T9FEX+6YE=R]F:6QE
M<R]P871C:"UE:@HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UE:@E-;VX@2G5L
M(#(Y(#$Q.C,Y.C`S(#(P,#(**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H
M+65J"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PR,2`K,"PP($!`
M"BTJ*BH@+B]S<F,O<VUT<"]S;71P+F@N;W)I9PE4:'4@4V5P(#$T(#$S.C`T
M.C0S(#(P,#`*+2TM+2`N+W-R8R]S;71P+W-M='`N:`E4:'4@4V5P(#$T(#$S
M.C`T.C4S(#(P,#`*+2HJ*BHJ*BHJ*BHJ*BHJ*@HM*BHJ(#$R+#$Y("HJ*BH*
M+2`@("`J(%-!4TP@;&EB<F%R>2X*+2`@("`J+PHM("`C:69D968@55-%7U-!
M4TQ?05542`HM(2`C:6YC;'5D92`\<V%S;"YH/@HM(2`C:6YC;'5D92`\<V%S
M;'5T:6PN:#X*+2`@(V5N9&EF"BT@(`HM("`@+RH*+2TM+2`Q,BPQ.2`M+2TM
M"BT@("`@*B!305-,(&QI8G)A<GDN"BT@("`@*B\*+2`@(VEF9&5F(%5315]3
M05-,7T%55$@*+2$@(VEN8VQU9&4@/'-A<VPQ+W-A<VPN:#X*+2$@(VEN8VQU
M9&4@/'-A<VPQ+W-A<VQU=&EL+F@^"BT@("-E;F1I9@HM("`*+2`@("\J"F1I
M9F8@+4YR=2!P;W-T9FEX+V9I;&5S+W!A=&-H+6QM='`N:"!P;W-T9FEX+6YE
M=R]F:6QE<R]P871C:"UL;71P+F@*+2TM('!O<W1F:7@O9FEL97,O<&%T8V@M
M;&UT<"YH"4UO;B!*=6P@,CD@,3$Z,SDZ,#,@,C`P,@HK*RL@<&]S=&9I>"UN
M97<O9FEL97,O<&%T8V@M;&UT<"YH"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV
M.0I`0"`M,2PQ,R`K,"PP($!`"BTM+2T@+B]S<F,O;&UT<"]L;71P+F@N;W)I
M9PE&<FD@2F%N(#$Y(#$U.C0S.C`V(#(P,#$*+2LK*R`N+W-R8R]L;71P+VQM
M='`N:`E3870@1F5B("`S(#$T.C`Q.C`Y(#(P,#$*+4!`("TQ,BPX("LQ,BPX
M($!`"BT@("`J(%-!4TP@;&EB<F%R>2X*+2`@("HO"BT@(VEF9&5F(%5315]3
M05-,7T%55$@*+2TC:6YC;'5D92`\<V%S;"YH/@HM+2-I;F-L=61E(#QS87-L
M=71I;"YH/@HM*R-I;F-L=61E(#QS87-L,2]S87-L+F@^"BTK(VEN8VQU9&4@
M/'-A<VPQ+W-A<VQU=&EL+F@^"BT@(V5N9&EF"BT@"BT@("\J"F1I9F8@+4YR
M=2!P;W-T9FEX+W!K9RUI;G-T86QL('!O<W1F:7@M;F5W+W!K9RUI;G-T86QL
M"BTM+2!P;W-T9FEX+W!K9RUI;G-T86QL"51H=2!*=6X@,C`@,3,Z,S,Z-34@
M,C`P,@HK*RL@<&]S=&9I>"UN97<O<&MG+6EN<W1A;&P)5&AU($IU;B`R,"`Q
M,SHS,SHU-2`R,#`R"D!`("TQ+#8@*S$L-B!`0`H@(R$O8FEN+W-H"B`C"BTC
M"21&<F5E0E-$.B!P;W)T<R]M86EL+W!O<W1F:7@O<&MG+6EN<W1A;&PL=B`Q
M+C$U(#(P,#(O,#8O,C`@,#$Z,S(Z,C`@9'=C:G(@17AP("0**R,))$9R965"
M4T0Z('!O<G1S+VUA:6PO<&]S=&9I>"UC=7)R96YT+W!K9RUI;G-T86QL+'8@
M,2XQ,R`R,#`R+S`V+S(P(#`Q.C,T.C`P(&1W8VIR($5X<"`D"B`C"B`*(%!+
M1U]04D5&25@])'M02T=?4%)%1DE8.CTO=7-R+VQO8V%L?0ID:69F("U.<G4@
M<&]S=&9I>"]P:V<M;65S<V%G92!P;W-T9FEX+6YE=R]P:V<M;65S<V%G90HM
M+2T@<&]S=&9I>"]P:V<M;65S<V%G90E4:'4@2F%N("`R(#$T.C(Y.C$Q(#(P
M,#,**RLK('!O<W1F:7@M;F5W+W!K9RUM97-S86=E"51H=2!$96,@,C8@,3`Z
M-3@Z,S,@,C`P,@I`0"`M."PR,2`K."PQ,"!`0`H@<V5N9&UA:6Q?<W5B;6ET
M7V5N86)L93TB3D\B"B!S96YD;6%I;%]M<W!?<75E=65?96YA8FQE/2).3R(*
M(`HM("`J*D]2*BH**U1H:7,@=VEL;"!D:7-A8FQE(%-E;F1M86EL(&-O;7!L
M971E;'DN"B`*+7-E;F1M86EL7V5N86)L93TB3D].12(*(`HM=&AE;B!T>7!E
M('1H:7,@8V]M;6%N9"!A<R!R;V]T.@HM"BUL;B`M<R`O=7-R+VQO8V%L+W-B
M:6XO<&]S=&9I>"`O=7-R+VQO8V%L+V5T8R]R8RYD+W!O<W1F:7@N<V@*+0HM
M16ET:&5R(&]F('1H97-E('=I;&P@9&ES86)L92!396YD;6%I;"!C;VUP;&5T
M96QY+B`@5&AE(&QA='1E<B!F;W)M(&ES('5S969U;`HM:68@>6]U(&YE960@
M=&\@=V%I="!U;G1I;"!O=&AE<B!L;V-A;"!P86-K86=E(&EN:71I86QI>F%T
M:6]N("AS=6-H(&%S(&QD8V]N9FEG"BUF;W(@4&]S=&=R97,@;W(@37E344PI
M(&ES(&1O;F4N("!4:&4@9F]R;65R(&UE=&AO9"!W:6QL('-T87)T('!O<W1F
M:7@@=F5R>0HM96%R;'D@;VX@:6X@=&AE(&)O;W0@<')O8V5S<RX*+0HM"BU!
M;'-O+"!Y;W4@=VEL;"!W86YT('1O(&1I<V%B;&4@<V]M92!396YD;6%I;"US
M<&5C:69I8R!D86EL>2!M86EN=&5N86YC90HK06QS;RP@>6]U(&UA>2!W:7-H
M('1O(&1I<V%B;&4@<V]M92!396YD;6%I;"US<&5C:69I8R!D86EL>2!M86EN
M=&5N86YC90H@<F]U=&EN97,@:6X@>6]U<B`O971C+W!E<FEO9&EC+F-O;F8@
M9FEL93H*(`H@9&%I;'E?<W1A='5S7VUA:6Q?<F5J96-T<U]E;F%B;&4](DY/
M(B`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@"F1I9F8@
M+4YR=2!P;W-T9FEX+W!K9RUP;&ES="!P;W-T9FEX+6YE=R]P:V<M<&QI<W0*
M+2TM('!O<W1F:7@O<&MG+7!L:7-T"51U92!&96(@,3(@,3(Z-#$Z,C8@,C`P
M,@HK*RL@<&]S=&9I>"UN97<O<&MG+7!L:7-T"49R:2!$96,@,3,@,3`Z-#$Z
M,S`@,C`P,@I`0"`M,S(L-B`K,S(L-R!`0`H@971C+W!O<W1F:7@O<V%M<&QE
M+6QO8V%L+F-F"B!E=&,O<&]S=&9I>"]S86UP;&4M;6%I;BYC9@H@971C+W!O
M<W1F:7@O<V%M<&QE+6UA<W1E<BYC9@HK971C+W!O<W1F:7@O<V%M<&QE+6UI
M;64N8V8*(&5T8R]P;W-T9FEX+W-A;7!L92UM:7-C+F-F"B!E=&,O<&]S=&9I
M>"]S86UP;&4M<&-R92UA8V-E<W,N8V8*(&5T8R]P;W-T9FEX+W-A;7!L92UP
M8W)E+6)O9'DN8V8*0$`@+3DU+#$Q("LY-BPQ,R!`0`H@)2503U)41$]#4R4E
M<VAA<F4O9&]C+W!O<W1F:7@O3$E.55A?4D5!1$U%"B`E)5!/4E1$3T-3)25S
M:&%R92]D;V,O<&]S=&9I>"],35107U)%041-10H@)2503U)41$]#4R4E<VAA
M<F4O9&]C+W!O<W1F:7@O34%#3U-87U)%041-10HK)2503U)41$]#4R4E<VAA
M<F4O9&]C+W!O<W1F:7@O34%)3$123U!?4D5!1$U%"B`E)5!/4E1$3T-3)25S
M:&%R92]D;V,O<&]S=&9I>"]-65-13%]214%$344*("4E4$]25$1/0U,E)7-H
M87)E+V1O8R]P;W-T9FEX+TY&4U]214%$344*("4E4$]25$1/0U,E)7-H87)E
M+V1O8R]P;W-T9FEX+U!!0TM!1T5?4D5!1$U%"B`E)5!/4E1$3T-3)25S:&%R
M92]D;V,O<&]S=&9I>"]00U)%7U)%041-10H@)2503U)41$]#4R4E<VAA<F4O
M9&]C+W!O<W1F:7@O44U14%]214%$344**R4E4$]25$1/0U,E)7-H87)E+V1O
M8R]P;W-T9FEX+U)%3$5!4T5?3D]415,*("4E4$]25$1/0U,E)7-H87)E+V1O
M8R]P;W-T9FEX+U)%4U1224-424].7T-,05-37U)%041-10H@)2503U)41$]#
M4R4E<VAA<F4O9&]C+W!O<W1F:7@O4T%33%]214%$344*("4E4$]25$1/0U,E
M)7-H87)E+V1O8R]P;W-T9FEX+U5,5%))6%]214%$344*9&EF9B`M3G)U('!O
M<W1F:7@O<V-R:7!T<R]C;VYF:6=U<F4@<&]S=&9I>"UN97<O<V-R:7!T<R]C
M;VYF:6=U<F4*+2TM('!O<W1F:7@O<V-R:7!T<R]C;VYF:6=U<F4)5V5D($IA
M;B`S,"`Q-#HU.3HT,"`R,#`R"BLK*R!P;W-T9FEX+6YE=R]S8W)I<'1S+V-O
M;F9I9W5R90E7960@075G(#(Y(#(S.C,V.C,X(#(P,#$*0$`@+3$L-B`K,2PV
M($!`"B`C(2]B:6XO<V@*(",*+2,@)$9R965"4T0Z('!O<G1S+VUA:6PO<&]S
M=&9I>"]S8W)I<'1S+V-O;F9I9W5R92QV(#$N-B`R,#`R+S`Q+S,P(#$Y.C4Y
M.C0P(&1W8VIR($5X<"`D"BLC("1&<F5E0E-$.B!P;W)T<R]M86EL+W!O<W1F
M:7@M8W5R<F5N="]S8W)I<'1S+V-O;F9I9W5R92QV(#$N-R`R,#`Q+S`X+S,P
M(#`S.C,V.C,X(&1W8VIR($5X<"`D"B`*(&9O<B!F(&EN(&!F:6YD("1[5U)+
M4U)#?2`M='EP92!F('P@>&%R9W,@9W)E<"`M;"`G7"%<(5!2149)6%PA7"$G
M(&`@.R!D;R!<"B`);78@)&8@)&8N;W)I9R`F)B!S960@<RLA(5!2149)6"$A
M*R104D5&25@K9R`\("1F+F]R:6<@/B`D9B`F)B!<"F1I9F8@+4YR=2!P;W-T
M9FEX+W-C<FEP=',O8V]N9FEG=7)E+G!O<W1F:7@@<&]S=&9I>"UN97<O<V-R
M:7!T<R]C;VYF:6=U<F4N<&]S=&9I>`HM+2T@<&]S=&9I>"]S8W)I<'1S+V-O
M;F9I9W5R92YP;W-T9FEX"51U92!!=6<@,C<@,3`Z,C<Z-#$@,C`P,@HK*RL@
M<&]S=&9I>"UN97<O<V-R:7!T<R]C;VYF:6=U<F4N<&]S=&9I>`E4:'4@2F%N
M("`R(#$Q.C$Q.C0T(#(P,#,*0$`@+3$L-2`K,2PU($!`"B`C(2]B:6XO<V@*
M+2,@)$9R965"4T0Z('!O<G1S+VUA:6PO<&]S=&9I>"]S8W)I<'1S+V-O;F9I
M9W5R92YP;W-T9FEX+'8@,2XR-"`R,#`R+S`X+S(V(#(Q.C,S.C4W(&1W8VIR
M($5X<"`D"BLC("1&<F5E0E-$.B!P;W)T<R]M86EL+W!O<W1F:7@M8W5R<F5N
M="]S8W)I<'1S+V-O;F9I9W5R92YP;W-T9FEX+'8@,2XT,2`R,#`R+S$Q+S(Q
M(#$U.C,X.C,V(&1W8VIR($5X<"`D"B`*(&EF(%L@+68@)'M74DM$25)04D5&
M25A])'M#55)$25)]+TUA:V5F:6QE+FEN8R!=.R!T:&5N"B`)97AI=`I`0"`M
M,C(L,30@*S(R+#$V($!`"B`)"2TM8VAE8VML:7-T(")<;EP*(%!L96%S92!S
M96QE8W0@9&5S:7)E9"!O<'1I;VYS.B(@+3$@+3$@,38@7`H@4$-210D)(E!E
M<FP@0V]M<&%T:6)L92!296=U;&%R($5X<')E<W-I;VYS(B`B)'-T871U<U]0
M0U)%(B!<"BU305-,"0DB0WER=7,@4T%33"`H4VEM<&QE($%U=&AE;G1I8V%T
M:6]N(&%N9"!396-U<FET>2!,87EE<BDB("(D<W1A='5S7U-!4TPB(%P**U-!
M4TP)"2)#>7)U<R!305-,=C$@*%-I;7!L92!!=71H96YT:6-A=&EO;B!A;F0@
M4V5C=7)I='D@3&%Y97(I(B`B)'-T871U<U]305-,(B!<"BM305-,,@D)(D-Y
M<G5S(%-!4TQV,B`H4VEM<&QE($%U=&AE;G1I8V%T:6]N(&%N9"!396-U<FET
M>2!,87EE<BDB("(D<W1A='5S7U-!4TPR(B!<"B!$0C,)"2)"97)K96QE>2!$
M0C,@*')E<75I<F5D(&EF(%-!4TP@86QS;R!B=6EL="!W:71H($1",RDB("(D
M<W1A='5S7T1",R(@7`H@37E344P)"2)->5-13"!M87`@;&]O:W5P<R(@(B1S
M=&%T=7-?37E344PB(%P*(%!G4U%,"0DB4&]S=&=R95-13"!M87`@;&]O:W5P
M<R(@(B1S=&%T=7-?4&=344PB(%P*($]P96Y,1$%0"2)/<&5N3$1!4"!M87`@
M;&]O:W5P<R(@(B1S=&%T=7-?3W!E;DQ$05`B(%P*(%1E<W0)"2)33510+TQ-
M5%`@=&5S="!S97)V97(@86YD(&=E;F5R871O<B(@(B1S=&%T=7-?5&5S="(@
M7`HM5$Q3"0DB4V5C=7)E(%-O8VME=',@3&%Y97(@86YD(%1R86YS<&]R="!,
M87EE<B!396-U<FET>2(@(B1S=&%T=7-?5$Q3(B!<"BU)4'8V"0DB25!V-B!S
M=7!P;W)T("AN;W0@2T%-12!O9F9I8VEA;"DB("(D<W1A='5S7TE0=C8B(%P*
M*U1,4PD)(E-33"!A;F0@5$Q3(B`B)'-T871U<U]43%,B(%P**TE0=C8)"2))
M4'8V('-U<'!O<G0@*&-U<G)E;G1L>2!B<F]K96XI(B`B)'-T871U<U])4'8V
M(B!<"BM)4'8V5$Q3"0DB25!V-B!S=7!P;W)T('=I=&@@4U-,(&%N9"!43%,B
M("(D<W1A='5S7TE0=C943%,B(%P*(#(^("1T96UP9FEL90H@"B`)<F5T=F%L
M/20_"D!`("TU."PX("LV,"PX($!`"B!354)?5$Q3/2)`8V]M;65N="`B"B!3
M54)?5$535#TB0&-O;6UE;G0@(@H@"BUF;W(@:3L@9&\*+0EC87-E("1I(&EN
M"BMW:&EL92!;("(D,2(@73L@9&\**PEC87-E("0Q(&EN"B`)"5!#4D4I"B`)
M"0EE8VAO("),24)?1$5014Y$4RL]"7!C<F4N,#I<)'M03U)44T1)4GTO9&5V
M96PO<&-R92(*(`D)"65C:&\@(E!/4U1&25A?0T-!4D=3*ST)+41(05-?4$-2
M12`M25PD>TQ/0T%,0D%317TO:6YC;'5D92(*0$`@+38W+#$S("LV.2PS,B!`
M0`H@"0D)96-H;R`B4$-215]3549&25@]"2MP8W)E(@H@"0D)4U5"7U!#4D4]
M(B(*(`D)"3L["BT)"5-!4TPI"BT)"0EE8VAO("),24)?1$5014Y$4RL]"7-A
M<VPN.#I<)'M03U)44T1)4GTO<V5C=7)I='DO8WER=7,M<V%S;"(*+0D)"65C
M:&\@(E!/4U1&25A?0T-!4D=3*ST)+4154T5?4T%33%]!551(("U)7"1[3$]#
M04Q"05-%?2]I;F-L=61E(@HM"0D)96-H;R`B4$]35$9)6%]!55A,24)3*ST)
M+4Q<)'M,3T-!3$)!4T5]+VQI8B`M;'-A<VP@+6QP86T@+6QC<GEP="(*+0D)
M"65C:&\@(E-!4TQ?4U5&1DE8/0DK<V%S;"(*+0D)"6EF(%L@+68@)'M04D5&
M25A]+VQI8B]L:6)S87-L+F$@73L@=&AE;B`*+0D)"0EI9B!N;2`D>U!2149)
M6'TO;&EB+VQI8G-A<VPN82!\(&=R97`@+7=Q(")M>7-Q;%]V97)I9GE?<&%S
M<W=O<F0B.R!T:&5N"BL@("`@("`@("`@("`@("`@4T%33"D**R`@("`@("`@
M("`@("`@("`@("`@("`@(&5C:&\@(DQ)0E]$15!%3D13*ST@("`@('-A<VPN
M.#I<)'M03U)44T1)4GTO<V5C=7)I='DO8WER=7,M<V%S;"(**R`@("`@("`@
M("`@("`@("`@("`@("`@(&5C:&\@(E!/4U1&25A?0T-!4D=3*ST@("U$55-%
M7U-!4TQ?05542"`M25PD>TQ/0T%,0D%317TO:6YC;'5D92`M25PD>TQ/0T%,
M0D%317TO:6YC;'5D92]S87-L,2(**R`@("`@("`@("`@("`@("`@("`@("`@
M(&5C:&\@(E!/4U1&25A?05583$E"4RL]("U,7"1[3$]#04Q"05-%?2]L:6(@
M+6QS87-L("UL<&%M("UL8W)Y<'0B"BL@("`@("`@("`@("`@("`@("`@("`@
M("!E8VAO(")305-,7U-51D9)6#T@("`@("`K<V%S;"(**R`@("`@("`@("`@
M("`@("`@("`@("`@(&EF(%L@+68@)'M04D5&25A]+VQI8B]L:6)S87-L+F$@
M73L@=&AE;@HK("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("!I9B!N
M;2`D>U!2149)6'TO;&EB+VQI8G-A<VPN82!\(&=R97`@+7=Q(")M>7-Q;%]V
M97)I9GE?<&%S<W=O<F0B.R!T:&5N"BL@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("`@("`@("`@96-H;R`B4$]35$9)6%]#0T%21U,K/2`@+41(
M05-?35E344P@+4E<)'M,3T-!3$)!4T5]+VEN8VQU9&4O;7ES<6PB"BL@("`@
M("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@96-H;R`B4$]3
M5$9)6%]!55A,24)3*ST@7"1[3$]#04Q"05-%?2]L:6(O;7ES<6PO;&EB;7ES
M<6QC;&EE;G0N82`M;&T@+6QZ(@HK("`@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("!F:0HK("`@("`@("`@("`@("`@("`@("`@("`@96QS90HK("`@
M("`@("`@("`@("`@("`@("`@("`@("`@("`@("!E8VAO(")03U-41DE87T-#
M05)'4RL]("`M1$A!4U]-65-13"`M25PD>TQ/0T%,0D%317TO:6YC;'5D92]M
M>7-Q;"(**R`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@96-H;R`B
M4$]35$9)6%]!55A,24)3*ST@7"1[3$]#04Q"05-%?2]L:6(O;7ES<6PO;&EB
M;7ES<6QC;&EE;G0N82`M;&T@+6QZ(@HK("`@("`@("`@("`@("`@("`@("`@
M("`@9FD**R`@("`@("`@("`@("`@("`@("`@("`@(&5C:&\@(BYI9B!E>&ES
M=',H+W5S<B]L:6(O;&EB:W)B+F$I(@HK("`@("`@("`@("`@("`@("`@("`@
M("`@96-H;R`B4$]35$9)6%]!55A,24)3*ST@+6QK<F(@+6QD97,@+6QC;VU?
M97)R(@HK("`@("`@("`@("`@("`@("`@("`@("`@96-H;R`B+F5N9&EF(@HK
M("`@("`@("`@("`@("`@("`@("`@("`@4U5"7U-!4TP](B(**R`@("`@("`@
M("`@("`@("`@("`@("`@(#L["BL)"5-!4TPR*0HK"0D)96-H;R`B3$E"7T1%
M4$5.1%,K/0ES87-L,BXR.EPD>U!/4E131$E2?2]S96-U<FET>2]C>7)U<RUS
M87-L,B(**PD)"65C:&\@(E!/4U1&25A?0T-!4D=3*ST)+4154T5?4T%33%]!
M551(("U)7"1[3$]#04Q"05-%?2]I;F-L=61E("U)7"1[3$]#04Q"05-%?2]I
M;F-L=61E+W-A<VPB"BL)"0EE8VAO(")03U-41DE87T%56$Q)0E,K/0DM3%PD
M>TQ/0T%,0D%317TO;&EB("UL<V%S;#(@+6QP86T@+6QC<GEP="(**PD)"65C
M:&\@(E-!4TQ?4U5&1DE8/0DK<V%S;#(B"BL)"0EI9B!;("UF("1[4%)%1DE8
M?2]L:6(O;&EB<V%S;#(N82!=.R!T:&5N"BL)"0D):68@;FT@)'M04D5&25A]
M+VQI8B]L:6)S87-L,BYA('P@9W)E<"`M=W$@(FUY<W%L7W9E<FEF>5]P87-S
M=V]R9"([('1H96X*(`D)"0D)96-H;R`B4$]35$9)6%]#0T%21U,K/2`@+41(
M05-?35E344P@+4E<)'M,3T-!3$)!4T5]+VEN8VQU9&4O;7ES<6PB"B`)"0D)
M"65C:&\@(E!/4U1&25A?05583$E"4RL](%PD>TQ/0T%,0D%317TO;&EB+VUY
M<W%L+VQI8FUY<W%L8VQI96YT+F$@+6QM("UL>B(*(`D)"0EF:0I`0"`M.3`L
M."`K,3$Q+#@@0$`*(`D)"65C:&\@(DU!3C@K/0D)=&QS;6=R+C@B"B`)"0EE
M8VAO(")03U-41DE87T-#05)'4RL]"2U$2$%37U-33"`M22]U<W(O:6YC;'5D
M92]O<&5N<W-L(@H@"0D)96-H;R`B4$]35$9)6%]!55A,24)3*ST)+6QS<VP@
M+6QC<GEP=&\B"BT)"0EE8VAO(")$25-41DE,15,K/0E<)'M$25-43D%-17TN
M=&%R+F=Z('!F:7AT;',M,"XX+C$Q82TQ+C$N,3$M,"XY+C9G+G1A<BYG>B(*
M+0D)"65C:&\@(D585%)!7U!!5$-(15,K/0E<)'M74DM$25)]+W!F:7AT;',M
M,"XX+C$Q82TQ+C$N,3$M,"XY+C9G+W!F:7AT;',N9&EF9B(**PD)"65C:&\@
M(D1)4U1&24Q%4RL]"5PD>T1)4U1.04U%?2YT87(N9WH@<&9I>'1L<RTP+C@N
M,3(M,BXP+C`N,2TP+CDN-F@N=&%R+F=Z(@HK"0D)96-H;R`B15A44D%?4$%4
M0TA%4RL]"5PD>U=22T1)4GTO<&9I>'1L<RTP+C@N,3(M,BXP+C`N,2TP+CDN
M-F@O<&9I>'1L<RYD:69F(@H@"0D)96-H;R`B4$%40TA?4U1225`]"2UP,2(*
M(`D)"65C:&\@(E1,4U]3549&25@]"2MT;',B"B`)"0E354)?5$Q3/2(B"D!`
M("TQ,S$L,3`@*S$U,BPQ,"!`0`H@"0D):68@6R!@=6YA;64@+6U@("$](")I
M,S@V(B!=.R!T:&5N"B`)"0D)+W5S<B]B:6XO9&EA;&]G("TM;7-G8F]X("))
M4'8V('!A=&-H(&-U<G)E;G1L>2!O;FQY('-U<'!O<G1E9"!O;B!I,S@V(2(@
M-2`V,"`^("]D978O<W1D97)R"B`)"0D)<FT@+68@)'M74DM$25)04D5&25A]
M)'M#55)$25)]+TUA:V5F:6QE+FEN8PHM"0D)"65X:70@,0HK"0D)97AI="`Q
M"B`)"0EF:0HM"0D):68@6R`M>B`D4U5"7U1,4R!=.R!T:&5N"BT)"0D)+W5S
M<B]B:6XO9&EA;&]G("TM;7-G8F]X("))4'8V(&%N9"!43%,@<&%T8V@@8V%N
M;F]T(&)E('5S960@<VEM=6QT86YE;W5S;'DA(B`U(#8P(#X@+V1E=B]S=&1E
M<G(**PD)"6EF(%L@6"1354)?5$Q3(#T@(E@B(%T[('1H96X**PD)"0DO=7-R
M+V)I;B]D:6%L;V<@+2UM<V=B;W@@(E-E;&5C="!E>&%C=&QY(&]N92!O9B!T
M:&4@25!V-B!A;F0@5$Q3('!A=&-H97,B(#4@-C`@/B`O9&5V+W-T9&5R<@H@
M"0D)"7)M("UF("1[5U)+1$E24%)%1DE8?21[0U521$E2?2]-86ME9FEL92YI
M;F,*(`D)"0EE>&ET(#$*(`D)"69I"D!`("TQ-#,L,34@*S$V-"PS,"!`0`H@
M"0D)96-H;R`B4$%40TA?1$E35%]35%))4#T@+7`Q(@H@"0D)96-H;R`B25!V
M-E]3549&25@]"2MI<'8V(@H@"0D)96-H;R`B(@HK"0D)25!V-E-%3$5#5$5$
M/5E%4PH@"0D).SL*+0D@("`@("`@("(B*0HK"0E)4'8V5$Q3*0HK"0D):68@
M6R!8)%-50E]43%,@/2`B6"(@+6\@6"1)4'8V4T5,14-4140@(3T@6"!=.R!T
M:&5N"BL)"0D)+W5S<B]B:6XO9&EA;&]G("TM;7-G8F]X(")396QE8W0@97AA
M8W1L>2!O;F4@;V8@=&AE($E0=C8@86YD(%1,4R!P871C:&5S(B`U(#8P(#X@
M+V1E=B]S=&1E<G(**PD)"0ER;2`M9B`D>U=22T1)4E!2149)6'TD>T-54D1)
M4GTO36%K969I;&4N:6YC"BL)"0D)97AI="`Q"BL)"0EF:0HK"0D)96-H;R`B
M34%.."L]"0ET;'-M9W(N."(**PD)"65C:&\@(E!/4U1&25A?0T-!4D=3*ST)
M+41(05-?4U-,("U)+W5S<B]I;F-L=61E+V]P96YS<VPB"BL)"0EE8VAO(")0
M3U-41DE87T%56$Q)0E,K/0DM;'-S;"`M;&-R>7!T;R(**PD)"65C:&\@(E!!
M5$-(7U-)5$53*ST)9G1P.B\O9G1P+G-T86-K+FYL+W!U8B]P;W-T9FEX+W1L
M<RMI<'8V+S$N,3`O(@HK"0D)96-H;R`B4$%40TA&24Q%4RL]"71L<RMI<'8V
M+3$N,3`M<&8M,BXP+C`N,2YP871C:"YG>B(**PD)"65C:&\@(E!!5$-(7T1)
M4U1?4U1225`]"2UP,2(**PD)"65C:&\@(E1,4U]3549&25@]"2MI<'8V*W1L
M<R(**PD)"5-50E]43%,](B(*(`D)"3L["B`)"2HI"BT)"0EE8VAO("));G9A
M;&ED(&]P=&EO;BAS*3H@)"HB(#X@+V1E=B]S=&1E<G(**PD)"65C:&\@(E5N
M:VYO=VX@;W!T:6]N*',I.B`D*B(@/B`O9&5V+W-T9&5R<@H@"0D)<FT@+68@
M)'M74DM$25)04D5&25A])'M#55)$25)]+TUA:V5F:6QE+FEN8PH@"0D)97AI
M="`Q"B`)"0D[.PH@"65S86,**PES:&EF=`H@9&]N90H@"B!E8VAO(")03$E3
@5%]354(K/0E354)?5$Q3/5PB)'M354)?5$Q3?5PB(@H`
`
end
Comment 4 Pete Fritchman freebsd_committer 2003-01-03 19:59:57 UTC
Responsible Changed
From-To: freebsd-ports->petef

I'll take care of this.
Comment 5 petef 2003-01-03 20:00:56 UTC
Ok, with your latest patch there are two problems:

- missing two doc files from pkg-plist (which I fixed)
- main.cf doesn't get deleted at deinstall time even if i haven't
modified it, and this is why:

skull(/usr/local/etc/postfix) [252] > diff -u main.cf sample-main.cf
--- main.cf     Fri Jan  3 15:00:03 2003
+++ sample-main.cf      Fri Jan  3 15:00:03 2003
@@ -31,13 +31,13 @@
 # The command_directory parameter specifies the location of all
 # postXXX commands.
 #
-command_directory = /usr/local/sbin
+command_directory = /usr/sbin
 
 # The daemon_directory parameter specifies the location of all Postfix
 # daemon programs (i.e. programs listed in the master.cf file). This
 # directory must be owned by root.
 #
-daemon_directory = /usr/local/libexec/postfix
+daemon_directory = /usr/libexec/postfix
 
 # QUEUE AND PROCESS OWNERSHIP
 #
@@ -590,32 +590,32 @@
 # sendmail_path: The full pathname of the Postfix sendmail command.
 # This is the Sendmail-compatible mail posting interface.
 # 
-sendmail_path = /usr/local/sbin/sendmail
+sendmail_path =
 
 # newaliases_path: The full pathname of the Postfix newaliases command.
 # This is the Sendmail-compatible command to build alias databases.
 #
-newaliases_path = /usr/local/bin/newaliases
+newaliases_path =
 
 # mailq_path: The full pathname of the Postfix mailq command.  This
 # is the Sendmail-compatible mail queue listing command.
 # 
-mailq_path = /usr/local/bin/mailq
+mailq_path =
 
 # setgid_group: The group for mail submission and queue management
 # commands.  This must be a group name with a numerical group ID that
 # is not shared with other accounts, not even with the Postfix account.
 #
-setgid_group = maildrop
+setgid_group =
 
 # manpage_directory: The location of the Postfix on-line manual pages.
 #
-manpage_directory = /usr/local/man
+manpage_directory =
 
 # sample_directory: The location of the Postfix sample configuration files.
 #
-sample_directory = /usr/local/etc/postfix
+sample_directory =
 
 # readme_directory: The location of the Postfix README files.
 #
-readme_directory = no
+readme_directory =
skull(/usr/local/etc/postfix) [253] >

Maybe you want to copy the installed main.cf to sample-main.cf at
post-install so they match and get deleted by pkg-plist if it goes
unmodified?

--pete
Comment 6 Vivek Khera 2003-01-03 21:03:59 UTC
>>>>> "PF" == Pete Fritchman <petef@absolutbsd.org> writes:

PF> Ok, with your latest patch there are two problems:
PF> - missing two doc files from pkg-plist (which I fixed)

Oh... I thought I had gotten them all... pkg_delete got rid of them
all.  Thanks.

PF> - main.cf doesn't get deleted at deinstall time even if i haven't
PF> modified it, and this is why:

The postfix install process modifies the stock main.cf file.  That is
how it has been since Postfix 1.1.  The sample-main.cf file shipped
with postfix has some install-time parameters blank and they are
filled in when it is installed by postfix itself.

[ ... ]

PF> Maybe you want to copy the installed main.cf to sample-main.cf at
PF> post-install so they match and get deleted by pkg-plist if it goes
PF> unmodified?

But then if I already have my own main.cf, do an install and then a
de-install, it will toast my main.cf.  That would be bad.

The problem is that postfix adapts itself to where it is installed,
and the stock config files have no defaults in them.
Comment 7 Pete Fritchman freebsd_committer 2003-01-03 22:28:04 UTC
++ 03/01/03 13:10 -0800 - Vivek Khera:
|  PF> Maybe you want to copy the installed main.cf to sample-main.cf at
|  PF> post-install so they match and get deleted by pkg-plist if it goes
|  PF> unmodified?
|  
|  But then if I already have my own main.cf, do an install and then a
|  de-install, it will toast my main.cf.  That would be bad.
|  
|  The problem is that postfix adapts itself to where it is installed,
|  and the stock config files have no defaults in them.

Ok, how about this:

- if main.cf doesn't exist, cp sample-main.cf main.cf.  Then when the
package is deinstalled, this line in the pkg-plist deletes main.cf:

@unexec if cmp -s %D/etc/postfix/main.cf %D/etc/postfix/sample-main.cf; then rm -f %D/etc/postfix/main.cf; fi

This way when the FreeBSD package cluster does a build of the port,
there won't be a leftover main.cf (which will cause an error and cause
the package to not get built).

--pete
Comment 8 Vivek Khera 2003-01-04 12:31:52 UTC
>>>>> "PF" == Pete Fritchman <petef@FreeBSD.org> writes:

PF> - if main.cf doesn't exist, cp sample-main.cf main.cf.  Then when the
PF> package is deinstalled, this line in the pkg-plist deletes main.cf:

PF> @unexec if cmp -s %D/etc/postfix/main.cf %D/etc/postfix/sample-main.cf; then rm -f %D/etc/postfix/main.cf; fi


That's what it does now.  However, postfix itself alters the main.cf
file after this happens.  I think what I might do is create a patch
that makes the sample-main.cf look like the final result when
installed in the standard location.
Comment 9 Vivek Khera 2003-01-09 03:22:14 UTC
ok.... try number 3.  this one is relative to postfix 1.1.12,1 with
the postgres shlib version bumped.

i found the two doc files and added them to the plist.  i fixed it so
that if you don't alter the stock main.cf and you install in the
standard location for ports (/usr/local) the main.cf gets removed when
you delete the package, leaving a perfectly clean system, except that
/etc/mail/mailer.conf won't be reverted.  dunno how to deal cleanly
with that...

please commit this one as soon as you can.

begin 644 postfix.patch
M9&EF9B`M3G)U('!O<W1F:7@O36%K969I;&4@<&]S=&9I>"UN97<O36%K969I
M;&4*+2TM('!O<W1F:7@O36%K969I;&4)5&AU($IA;B`@,B`Q-#HR.3HP.2`R
M,#`S"BLK*R!P;W-T9FEX+6YE=R]-86ME9FEL90E&<FD@2F%N("`S(#$Q.C,V
M.C(X(#(P,#,*0$`@+3(L,3<@*S(L,3D@0$`*(",@1&%T92!C<F5A=&5D.B`)
M,3@@36%R(#$Y.3D*(",@5VAO;3H)"0ET;W)S=&5N8@H@(PHM(R`D1G)E94)3
M1#H@<&]R=',O;6%I;"]P;W-T9FEX+TUA:V5F:6QE+'8@,2XV,R`R,#`S+S`Q
M+S`R(#$U.C4P.C0R(&EJ;&EA;R!%>'`@)`HK(R`D1G)E94)31#H@<&]R=',O
M;6%I;"]P;W-T9FEX+6-U<G)E;G0O36%K969I;&4L=B`Q+CDQ(#(P,#(O,3$O
M,C$@,34Z,S@Z,S0@9'=C:G(@17AP("0*(",*(`H@(R!4;R!P<F4M<V5L96-T
M(&]P=&EO;G,@:6X@8F%T8V@@;6]D92P@<G5N(&UA:V4@;&EK92!T:&ES.@H@
M(PH@(R`@;6%K92`M1$)!5$-((%!/4U1&25A?3U!424].4STB1$(S(%!#4D4B
M"B`C"BTC('1H92!O<'1I;VYS(&%R92!T:&4@<V%M92!N86UE<R!A<R!I;B!T
M:&4@<V-R:7!T<R]C;VYF:6=U<F4N<&]S=&9I>"!F:6QE"BLC('1H92!O<'1I
M;VYS(&%R92!T:&4@<V%M92!N86UE<R!A<R!I;B!T:&4@<V-R:7!T<R]C;VYF
M:6=U<F4N<&]S=&9I>"!F:6QE+@HK(R!03U-41DE87T]05$E/3E,@8V%N(&)E
M('-E="!I;B`O971C+VUA:V4N8V]N9B!A;'-O+@H@"B!03U)43D%-13T)<&]S
M=&9I>`HM4$]25%9%4E-)3TX]"3$N,2XQ,@HK4$]25%9%4E-)3TX]"3(N,"XP
M+C(**R-03U)44D5625-)3TX]"3$*(%!/4E1%4$]#2#T),0H@0T%414=/4DE%
M4ST);6%I;"!I<'8V"B!-05-415)?4TE415,]"69T<#HO+V9T<"YP;W)C=7!I
M;F4N;W)G+VUI<G)O<G,O<&]S=&9I>"UR96QE87-E+V]F9FEC:6%L+R!<"D!`
M("TT-"PV("LT-BPX($!`"B`C(%1,4R!P871C:"!A9&1S('1O($U!3C@@8G5T
M(&1O97-N)W0@:&%V92`N:'1M;"!F:6QE+"!S;R!A=F]I9"!T<GEI;F<@=&\*
M(",@<&%T8V@@:70N"B!-04XX8F%S93TD*$U!3C@Z4R]T;'-M9W(N."\O*0HK
M"BM.3U],051%4U1?3$E.2ST)>65S"B`*($-/3D8Q/0EM86EN+F-F(&UA<W1E
M<BYC9B!A8V-E<W,@86QI87-E<R!C86YO;FEC86P@<&-R95]T86)L92!R96=E
M>'!?=&%B;&4@7`H@"7)E;&]C871E9"!T<F%N<W!O<G0@=FER='5A;`ID:69F
M("U.<G4@<&]S=&9I>"]D:7-T:6YF;R!P;W-T9FEX+6YE=R]D:7-T:6YF;PHM
M+2T@<&]S=&9I>"]D:7-T:6YF;PE4:'4@2F%N("`R(#$T.C(Y.C`Y(#(P,#,*
M*RLK('!O<W1F:7@M;F5W+V1I<W1I;F9O"49R:2!*86X@(#,@,3$Z,S<Z,S8@
M,C`P,PI`0"`M,2PT("LQ+#0@0$`*+4U$-2`H<&]S=&9I>"]P;W-T9FEX+3$N
M,2XQ,BYT87(N9WHI(#T@9#%D,&8Y-SDR96,V96$P-C-C8V-A-3DQ.#1E-30R
M,3(*+4U$-2`H<&]S=&9I>"]P9FEX=&QS+3`N."XQ,6$M,2XQ+C$Q+3`N.2XV
M9RYT87(N9WHI(#T@,3%D.#)E.6$S-#@R9C8T868Y9#(R.&8W830S,3DU-C8*
M+4U$-2`H<&]S=&9I>"]P;W-T9FEX+3$N,2XQ,BMI<'8V+G!A=&-H+F=Z*2`]
M(&%D9#0S.39C934P8V$V,6(U9#EB-C<T-31F8C4Q,C4X"BM-1#4@*'!O<W1F
M:7@O<&]S=&9I>"TR+C`N,"XR+G1A<BYG>BD@/2`Q934Q83(R.3!D,S-E930Y
M.&8Y86)E.3%D8F(R-V1C,@HK340U("AP;W-T9FEX+W!F:7AT;',M,"XX+C$R
M+3(N,"XP+C$M,"XY+C9H+G1A<BYG>BD@/2`Q,3$Q8CDW8S<W93<Q8C)F-V5D
M9#EA8C9D,S9F8C4U,`H@340U("AP;W-T9FEX+W!O<W1F:7@M<&<N<&]S=&9I
M>"TQ+C$N."YP871C:"D@/2!E,&8T9#DQ,&$V9#8V-#AD.6(T.&4R,C0T9C(W
M-C1B80HK340U("AP;W-T9FEX+W1L<RMI<'8V+3$N,3`M<&8M,BXP+C`N,2YP
M871C:"YG>BD@/2!E9#$X8S8Y,S-F83@Q.38Q8F-B9#%E,V$R.#0Y,S0X-PID
M:69F("U.<G4@<&]S=&9I>"]F:6QE<R]P871C:"UB9"!P;W-T9FEX+6YE=R]F
M:6QE<R]P871C:"UB9`HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UB9`E4=64@
M3F]V(#$T(#`Q.C(X.C4W(#(P,#`**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A
M=&-H+6)D"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PQ,2`K,"PP
M($!`"BTJ*BH@+B]H=&UL+VQO8V%L+C@N:'1M;"YO<FEG"51H=2!&96(@(#,@
M,C$Z,34Z,#(@,C`P,`HM+2TM("XO:'1M;"]L;V-A;"XX+FAT;6P)5&AU($IU
M;B`@,2`R,CHR,CHS,"`R,#`P"BTJ*BHJ*BHJ*BHJ*BHJ*BH*+2HJ*B`Y.2PQ
M,#$@*BHJ*@HM("`@("`@("`@5&AE(&1E9F%U;'0@<&5R+75S97(@;6%I;&)O
M>"!I<R!A(&9I;&4@:6X@('1H92`@54Y)6"`@;6%I;`HM(2`@("`@("`@<W!O
M;VP@(&1I<F5C=&]R>2`H/&(^+W9A<B]M86EL+SPO8CX\:3YU<V5R/"]I/B!O
M<B`\8CXO=F%R+W-P;V]L+VUA:6PO/"]B/CQI/G5S97(\+VD^*3L*+2`@("`@
M("`@('1H92!L;V-A=&EO;B!C86X@8F4@<W!E8VEF:65D('=I=&@@('1H92`@
M/&(^;6%I;#PO8CX\:3Y?/"]I/CQB/G-P;V]L/"]B/CQI/E\\+VD^/&(^9&ER
M96,M/"]B/@HM+2TM(#DY+#$P,2`M+2TM"BT@("`@("`@("!4:&4@9&5F875L
M="!P97(M=7-E<B!M86EL8F]X(&ES(&$@9FEL92!I;B`@=&AE("!53DE8("!M
M86EL"BTA("`@("`@("!S<&]O;"`@9&ER96-T;W)Y("@\8CXO=F%R+VUA:6PO
M/"]B/CQI/G5S97(\+VD^*3L*+2`@("`@("`@('1H92!L;V-A=&EO;B!C86X@
M8F4@<W!E8VEF:65D('=I=&@@('1H92`@/&(^;6%I;#PO8CX\:3Y?/"]I/CQB
M/G-P;V]L/"]B/CQI/E\\+VD^/&(^9&ER96,M/"]B/@ID:69F("U.<G4@<&]S
M=&9I>"]F:6QE<R]P871C:"UC:R!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UC
M:PHM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UC:PE4=64@3F]V(#$T(#`Q.C(X
M.C4W(#(P,#`**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+6-K"5=E9"!$
M96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PQ,2`K,"PP($!`"BTJ*BH@+B]M
M86XO;6%N."]L;V-A;"XX+F]R:6<)5&AU($9E8B`@,R`R,3HQ-#HU,R`R,#`P
M"BTM+2T@+B]M86XO;6%N."]L;V-A;"XX"51H=2!*=6X@(#$@,C(Z-#(Z-#,@
M,C`P,`HM*BHJ*BHJ*BHJ*BHJ*BHJ"BTJ*BH@.38L.3@@*BHJ*@HM("!4:&4@
M9&5F875L="!P97(M=7-E<B!M86EL8F]X(&ES(&$@9FEL92!I;B!T:&4@54Y)
M6"!M86EL('-P;V]L"BTA(&1I<F5C=&]R>2`H7&9"+W9A<B]M86EL+UQF275S
M97)<9E(@;W(@7&9"+W9A<B]S<&]O;"]M86EL+UQF275S97)<9E(I.PHM("!T
M:&4@;&]C871I;VX@8V%N(&)E('-P96-I9FEE9"!W:71H('1H92!<9D)M86EL
M7W-P;V]L7V1I<F5C=&]R>5QF4@HM+2TM(#DV+#DX("TM+2T*+2`@5&AE(&1E
M9F%U;'0@<&5R+75S97(@;6%I;&)O>"!I<R!A(&9I;&4@:6X@=&AE(%5.25@@
M;6%I;"!S<&]O;`HM(2!D:7)E8W1O<GD@*%QF0B]V87(O;6%I;"]<9DEU<V5R
M7&92*3L*+2`@=&AE(&QO8V%T:6]N(&-A;B!B92!S<&5C:69I960@=VET:"!T
M:&4@7&9";6%I;%]S<&]O;%]D:7)E8W1O<GE<9E(*9&EF9B`M3G)U('!O<W1F
M:7@O9FEL97,O<&%T8V@M96$@<&]S=&9I>"UN97<O9FEL97,O<&%T8V@M96$*
M+2TM('!O<W1F:7@O9FEL97,O<&%T8V@M96$)5V5D($1E8R`S,2`Q.3HP,#HP
M,"`Q.38Y"BLK*R!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UE80E4=64@3V-T
M(#,Q(#(S.C4S.C,P(#(P,#`*0$`@+3`L,"`K,2PQ,R!`0`HK*BHJ("XO<W)C
M+V-L96%N=7`O8VQE86YU<"YC+F]R:6<)4W5N($UA>2`R."`Q.#HS,SHT,2`R
M,#`P"BLM+2T@+B]S<F,O8VQE86YU<"]C;&5A;G5P+F,)5&AU($IU;B`@,2`R
M,3HU,CHR,B`R,#`P"BLJ*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`Q,3@L,3(Q("HJ
M*BH**R`@+RH@1DE,15,**R$@+RH)+V5T8R]P;W-T9FEX+V-A;F]N:6-A;"HL
M(&-A;F]N:6-A;"!M87!P:6YG('1A8FQE"BLA("\J"2]E=&,O<&]S=&9I>"]V
M:7)T=6%L*BP@=FER='5A;"!M87!P:6YG('1A8FQE"BL@("\J($Q)0T5.4T4*
M*RTM+2`Q,3@L,3(Q("TM+2T**R`@+RH@1DE,15,**R$@+RH)(2%04D5&25@A
M(2]E=&,O<&]S=&9I>"]C86YO;FEC86PJ+"!C86YO;FEC86P@;6%P<&EN9R!T
M86)L90HK(2`O*@DA(5!2149)6"$A+V5T8R]P;W-T9FEX+W9I<G1U86PJ+"!V
M:7)T=6%L(&UA<'!I;F<@=&%B;&4**R`@+RH@3$E#14Y310ID:69F("U.<G4@
M<&]S=&9I>"]F:6QE<R]P871C:"UE8B!P;W-T9FEX+6YE=R]F:6QE<R]P871C
M:"UE8@HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UE8@E7960@1&5C(#,Q(#$Y
M.C`P.C`P(#$Y-CD**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+65B"51U
M92!/8W0@,S$@,C,Z-3,Z,S`@,C`P,`I`0"`M,"PP("LQ+#$Q($!`"BLJ*BH@
M+B]S<F,O9VQO8F%L+VUA:6Q?8V]N9BYC+F]R:6<)4W5N($UA>2`@-R`Q.#HU
M,3HQ-B`R,#`P"BLM+2T@+B]S<F,O9VQO8F%L+VUA:6Q?8V]N9BYC"51H=2!*
M=6X@(#$@,C(Z,38Z,CD@,C`P,`HK*BHJ*BHJ*BHJ*BHJ*BHJ"BLJ*BH@-3,L
M-34@*BHJ*@HK("`O*B!&24Q%4PHK(2`O*@DO971C+W!O<W1F:7@Z(&1E9F%U
M;'0@4&]S=&9I>"!C;VYF:6=U<F%T:6]N(&1I<F5C=&]R>2X**R`@+RH@14Y6
M25)/3DU%3E0**RTM+2`U,RPU-2`M+2TM"BL@("\J($9)3$53"BLA("\J"2$A
M4%)%1DE8(2$O971C+W!O<W1F:7@Z(&1E9F%U;'0@4&]S=&9I>"!C;VYF:6=U
M<F%T:6]N(&1I<F5C=&]R>2X**R`@+RH@14Y625)/3DU%3E0*9&EF9B`M3G)U
M('!O<W1F:7@O9FEL97,O<&%T8V@M964@<&]S=&9I>"UN97<O9FEL97,O<&%T
M8V@M964*+2TM('!O<W1F:7@O9FEL97,O<&%T8V@M964)5V5D($1E8R`S,2`Q
M.3HP,#HP,"`Q.38Y"BLK*R!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UE90E4
M=64@3V-T(#,Q(#(S.C4S.C,P(#(P,#`*0$`@+3`L,"`K,2PQ,R!`0`HK*BHJ
M("XO<W)C+VUA<W1E<B]M87-T97(N8RYO<FEG"51U92!-87(@(#<@,3`Z,C4Z
M,#<@,C`P,`HK+2TM("XO<W)C+VUA<W1E<B]M87-T97(N8PE4:'4@2G5N("`Q
M(#(R.C0S.C4P(#(P,#`**RHJ*BHJ*BHJ*BHJ*BHJ*@HK*BHJ(#$P-"PQ,#<@
M*BHJ*@HK("`O*B!&24Q%4PHK(2`O*@DO971C+W!O<W1F:7@O;6%I;BYC9CH@
M9VQO8F%L(&-O;F9I9W5R871I;VX@9FEL92X**R$@+RH)+V5T8R]P;W-T9FEX
M+VUA<W1E<BYC9CH@;6%S=&5R('!R;V-E<W,@8V]N9FEG=7)A=&EO;B!F:6QE
M+@HK("`O*@DO=F%R+W-P;V]L+W!O<W1F:7@O<&ED+VUA<W1E<BYP:60Z(&UA
M<W1E<B!L;V-K(&9I;&4N"BLM+2T@,3`T+#$P-R`M+2TM"BL@("\J($9)3$53
M"BLA("\J"2$A4%)%1DE8(2$O971C+W!O<W1F:7@O;6%I;BYC9CH@9VQO8F%L
M(&-O;F9I9W5R871I;VX@9FEL92X**R$@+RH)(2%04D5&25@A(2]E=&,O<&]S
M=&9I>"]M87-T97(N8V8Z(&UA<W1E<B!P<F]C97-S(&-O;F9I9W5R871I;VX@
M9FEL92X**R`@+RH)+W9A<B]S<&]O;"]P;W-T9FEX+W!I9"]M87-T97(N<&ED
M.B!M87-T97(@;&]C:R!F:6QE+@ID:69F("U.<G4@<&]S=&9I>"]F:6QE<R]P
M871C:"UE9B!P;W-T9FEX+6YE=R]F:6QE<R]P871C:"UE9@HM+2T@<&]S=&9I
M>"]F:6QE<R]P871C:"UE9@E7960@1&5C(#,Q(#$Y.C`P.C`P(#$Y-CD**RLK
M('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+65F"51U92!/8W0@,S$@,C,Z-3,Z
M,S`@,C`P,`I`0"`M,"PP("LQ+#$Q($!`"BLJ*BH@+B]S<F,O<&]S=&1R;W`O
M<&]S=&1R;W`N8RYO<FEG"5-U;B!!<'(@,C4@,3@Z,#4Z-#,@,3DY.0HK+2TM
M("XO<W)C+W!O<W1D<F]P+W!O<W1D<F]P+F,)5&AU($IU;B`@,2`R,CHT-#HR
M,B`R,#`P"BLJ*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`S.2PT,2`J*BHJ"BL@("\J
M"2]V87(O<W!O;VPO<&]S=&9I>"P@;6%I;"!Q=65U90HK(2`O*@DO971C+W!O
M<W1F:7@L(&-O;F9I9W5R871I;VX@9FEL97,**R`@+RH@0T].1DE'55)!5$E/
M3B!005)!345415)3"BLM+2T@,SDL-#$@+2TM+0HK("`O*@DO=F%R+W-P;V]L
M+W!O<W1F:7@L(&UA:6P@<75E=64**R$@+RH)(2%04D5&25@A(2]E=&,O<&]S
M=&9I>"P@8V]N9FEG=7)A=&EO;B!F:6QE<PHK("`O*B!#3TY&24=54D%424].
M(%!!4D%-151%4E,*9&EF9B`M3G)U('!O<W1F:7@O9FEL97,O<&%T8V@M96<@
M<&]S=&9I>"UN97<O9FEL97,O<&%T8V@M96<*+2TM('!O<W1F:7@O9FEL97,O
M<&%T8V@M96<)5V5D($1E8R`S,2`Q.3HP,#HP,"`Q.38Y"BLK*R!P;W-T9FEX
M+6YE=R]F:6QE<R]P871C:"UE9PE4=64@3V-T(#,Q(#(S.C4S.C,P(#(P,#`*
M0$`@+3`L,"`K,2PR,"!`0`HK*BHJ("XO<W)C+W-E;F1M86EL+W-E;F1M86EL
M+F,N;W)I9PE4=64@36%R(#$T(#$P.C0R.C`V(#(P,#`**RTM+2`N+W-R8R]S
M96YD;6%I;"]S96YD;6%I;"YC"51H=2!*=6X@(#$@,C(Z-#<Z,C0@,C`P,`HK
M*BHJ*BHJ*BHJ*BHJ*BHJ"BLJ*BH@-3<L-3D@*BHJ*@HK("`O*@E4:&4@<&%T
M:"!N86UE(&]F('1H92!<9D)S96YD;6%I;"YC9EQF4B!F:6QE+B!0;W-T9FEX
M(&-O;F9I9W5R871I;VX**R$@+RH)9FEL97,@87)E(&ME<'0@:6X@7&9"+V5T
M8R]P;W-T9FEX7&92+@HK("`O*B`N25`@(EQF0BU&(%QF269U;&Q?;F%M95QF
M4@HK+2TM(#4W+#4Y("TM+2T**R`@+RH)5&AE('!A=&@@;F%M92!O9B!T:&4@
M7&9"<V5N9&UA:6PN8V9<9E(@9FEL92X@4&]S=&9I>"!C;VYF:6=U<F%T:6]N
M"BLA("\J"69I;&5S(&%R92!K97!T(&EN(%QF0B$A4%)%1DE8(2$O971C+W!O
M<W1F:7A<9E(N"BL@("\J("Y)4"`B7&9"+48@7&9)9G5L;%]N86UE7&92"BLJ
M*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`Q-3DL,38Q("HJ*BH**R`@+RH)+W9A<B]S
M<&]O;"]P;W-T9FEX+"!M86EL('%U975E"BLA("\J"2]E=&,O<&]S=&9I>"P@
M8V]N9FEG=7)A=&EO;B!F:6QE<PHK("`O*B!#3TY&24=54D%424].(%!!4D%-
M151%4E,**RTM+2`Q-3DL,38Q("TM+2T**R`@+RH)+W9A<B]S<&]O;"]P;W-T
M9FEX+"!M86EL('%U975E"BLA("\J"2$A4%)%1DE8(2$O971C+W!O<W1F:7@L
M(&-O;F9I9W5R871I;VX@9FEL97,**R`@+RH@0T].1DE'55)!5$E/3B!005)!
M345415)3"F1I9F8@+4YR=2!P;W-T9FEX+V9I;&5S+W!A=&-H+65H('!O<W1F
M:7@M;F5W+V9I;&5S+W!A=&-H+65H"BTM+2!P;W-T9FEX+V9I;&5S+W!A=&-H
M+65H"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0HK*RL@<&]S=&9I>"UN97<O
M9FEL97,O<&%T8V@M96@)5'5E($]C="`S,2`R,SHU,SHS,"`R,#`P"D!`("TP
M+#`@*S$L,3$@0$`**RHJ*B`N+W-R8R]T<FEV:6%L+7)E=W)I=&4O=')A;G-P
M;W)T+F,N;W)I9PE4=64@3F]V(#$V(#$Y.C$U.C0Q(#$Y.3D**RTM+2`N+W-R
M8R]T<FEV:6%L+7)E=W)I=&4O=')A;G-P;W)T+F,)5&AU($IU;B`@,2`R,CHT
M-SHT.2`R,#`P"BLJ*BHJ*BHJ*BHJ*BHJ*BH**RHJ*B`S,BPS-"`J*BHJ"BL@
M("\J($9)3$53"BLA("\J"2]E=&,O<&]S=&9I>"]T<F%N<W!O<G0J"BL@("\J
M($-/3D9)1U52051)3TX@4$%204U%5$524PHK+2TM(#,R+#,T("TM+2T**R`@
M+RH@1DE,15,**R$@+RH)(2%04D5&25@A(2]E=&,O<&]S=&9I>"]T<F%N<W!O
M<G0J"BL@("\J($-/3D9)1U52051)3TX@4$%204U%5$524PID:69F("U.<G4@
M<&]S=&9I>"]F:6QE<R]P871C:"UE:2!P;W-T9FEX+6YE=R]F:6QE<R]P871C
M:"UE:0HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UE:0E-;VX@2G5L(#(Y(#$Q
M.C,Y.C`S(#(P,#(**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H+65I"5=E
M9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PR,2`K,"PP($!`"BTJ*BH@
M+B]S<F,O<VUT<&0O<VUT<&0N:"YO<FEG"51H=2!397`@,30@,3`Z,3<Z,C,@
M,C`P,`HM+2TM("XO<W)C+W-M='!D+W-M='!D+F@)5&AU(%-E<"`Q-"`Q,#HQ
M-SHS."`R,#`P"BTJ*BHJ*BHJ*BHJ*BHJ*BH*+2HJ*B`Q,BPQ.2`J*BHJ"BT@
M("`@*B!305-,(&QI8G)A<GDN"BT@("`@*B\*+2`@(VEF9&5F(%5315]305-,
M7T%55$@*+2$@(VEN8VQU9&4@/'-A<VPN:#X*+2$@(VEN8VQU9&4@/'-A<VQU
M=&EL+F@^"BT@("-E;F1I9@HM("`*+2`@("\J"BTM+2T@,3(L,3D@+2TM+0HM
M("`@("H@4T%33"!L:6)R87)Y+@HM("`@("HO"BT@("-I9F1E9B!54T5?4T%3
M3%]!551("BTA("-I;F-L=61E(#QS87-L,2]S87-L+F@^"BTA("-I;F-L=61E
M(#QS87-L,2]S87-L=71I;"YH/@HM("`C96YD:68*+2`@"BT@("`O*@ID:69F
M("U.<G4@<&]S=&9I>"]F:6QE<R]P871C:"UE:B!P;W-T9FEX+6YE=R]F:6QE
M<R]P871C:"UE:@HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UE:@E-;VX@2G5L
M(#(Y(#$Q.C,Y.C`S(#(P,#(**RLK('!O<W1F:7@M;F5W+V9I;&5S+W!A=&-H
M+65J"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0I`0"`M,2PR,2`K,"PP($!`
M"BTJ*BH@+B]S<F,O<VUT<"]S;71P+F@N;W)I9PE4:'4@4V5P(#$T(#$S.C`T
M.C0S(#(P,#`*+2TM+2`N+W-R8R]S;71P+W-M='`N:`E4:'4@4V5P(#$T(#$S
M.C`T.C4S(#(P,#`*+2HJ*BHJ*BHJ*BHJ*BHJ*@HM*BHJ(#$R+#$Y("HJ*BH*
M+2`@("`J(%-!4TP@;&EB<F%R>2X*+2`@("`J+PHM("`C:69D968@55-%7U-!
M4TQ?05542`HM(2`C:6YC;'5D92`\<V%S;"YH/@HM(2`C:6YC;'5D92`\<V%S
M;'5T:6PN:#X*+2`@(V5N9&EF"BT@(`HM("`@+RH*+2TM+2`Q,BPQ.2`M+2TM
M"BT@("`@*B!305-,(&QI8G)A<GDN"BT@("`@*B\*+2`@(VEF9&5F(%5315]3
M05-,7T%55$@*+2$@(VEN8VQU9&4@/'-A<VPQ+W-A<VPN:#X*+2$@(VEN8VQU
M9&4@/'-A<VPQ+W-A<VQU=&EL+F@^"BT@("-E;F1I9@HM("`*+2`@("\J"F1I
M9F8@+4YR=2!P;W-T9FEX+V9I;&5S+W!A=&-H+6QM='`N:"!P;W-T9FEX+6YE
M=R]F:6QE<R]P871C:"UL;71P+F@*+2TM('!O<W1F:7@O9FEL97,O<&%T8V@M
M;&UT<"YH"4UO;B!*=6P@,CD@,3$Z,SDZ,#,@,C`P,@HK*RL@<&]S=&9I>"UN
M97<O9FEL97,O<&%T8V@M;&UT<"YH"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV
M.0I`0"`M,2PQ,R`K,"PP($!`"BTM+2T@+B]S<F,O;&UT<"]L;71P+F@N;W)I
M9PE&<FD@2F%N(#$Y(#$U.C0S.C`V(#(P,#$*+2LK*R`N+W-R8R]L;71P+VQM
M='`N:`E3870@1F5B("`S(#$T.C`Q.C`Y(#(P,#$*+4!`("TQ,BPX("LQ,BPX
M($!`"BT@("`J(%-!4TP@;&EB<F%R>2X*+2`@("HO"BT@(VEF9&5F(%5315]3
M05-,7T%55$@*+2TC:6YC;'5D92`\<V%S;"YH/@HM+2-I;F-L=61E(#QS87-L
M=71I;"YH/@HM*R-I;F-L=61E(#QS87-L,2]S87-L+F@^"BTK(VEN8VQU9&4@
M/'-A<VPQ+W-A<VQU=&EL+F@^"BT@(V5N9&EF"BT@"BT@("\J"F1I9F8@+4YR
M=2!P;W-T9FEX+V9I;&5S+W!A=&-H+6UA:6XN8V8@<&]S=&9I>"UN97<O9FEL
M97,O<&%T8V@M;6%I;BYC9@HM+2T@<&]S=&9I>"]F:6QE<R]P871C:"UM86EN
M+F-F"5=E9"!$96,@,S$@,3DZ,#`Z,#`@,3DV.0HK*RL@<&]S=&9I>"UN97<O
M9FEL97,O<&%T8V@M;6%I;BYC9@E7960@2F%N("`X(#(R.C$T.C,T(#(P,#,*
M0$`@+3`L,"`K,2PU."!`0`HK+2TM("XO8V]N9B]M86EN+F-F"5=E9"!*86X@
M(#@@,C(Z,3$Z-3(@,C`P,PHK*RLK("XO8V]N9B]M86EN+F-F"5=E9"!*86X@
M(#@@,C(Z,3$Z-3,@,C`P,PHK0$`@+3,Q+#$S("LS,2PQ,R!`0`HK(",@5&AE
M(&-O;6UA;F1?9&ER96-T;W)Y('!A<F%M971E<B!S<&5C:69I97,@=&AE(&QO
M8V%T:6]N(&]F(&%L;`HK(",@<&]S=%A86"!C;VUM86YD<RX**R`C"BLM8V]M
M;6%N9%]D:7)E8W1O<GD@/2`O=7-R+W-B:6X**RMC;VUM86YD7V1I<F5C=&]R
M>2`]("]U<W(O;&]C86PO<V)I;@HK(`HK(",@5&AE(&1A96UO;E]D:7)E8W1O
M<GD@<&%R86UE=&5R('-P96-I9FEE<R!T:&4@;&]C871I;VX@;V8@86QL(%!O
M<W1F:7@**R`C(&1A96UO;B!P<F]G<F%M<R`H:2YE+B!P<F]G<F%M<R!L:7-T
M960@:6X@=&AE(&UA<W1E<BYC9B!F:6QE*2X@5&AI<PHK(",@9&ER96-T;W)Y
M(&UU<W0@8F4@;W=N960@8GD@<F]O="X**R`C"BLM9&%E;6]N7V1I<F5C=&]R
M>2`]("]U<W(O;&EB97AE8R]P;W-T9FEX"BLK9&%E;6]N7V1I<F5C=&]R>2`]
M("]U<W(O;&]C86PO;&EB97AE8R]P;W-T9FEX"BL@"BL@(R!1545512!!3D0@
M4%)/0T534R!/5TY%4E-(25`**R`C"BM`0"`M-3DP+#,R("LU.3`L,S(@0$`*
M*R`C('-E;F1M86EL7W!A=&@Z(%1H92!F=6QL('!A=&AN86UE(&]F('1H92!0
M;W-T9FEX('-E;F1M86EL(&-O;6UA;F0N"BL@(R!4:&ES(&ES('1H92!396YD
M;6%I;"UC;VUP871I8FQE(&UA:6P@<&]S=&EN9R!I;G1E<F9A8V4N"BL@(R`*
M*RUS96YD;6%I;%]P871H(#T**RMS96YD;6%I;%]P871H(#T@+W5S<B]L;V-A
M;"]S8FEN+W-E;F1M86EL"BL@"BL@(R!N97=A;&EA<V5S7W!A=&@Z(%1H92!F
M=6QL('!A=&AN86UE(&]F('1H92!0;W-T9FEX(&YE=V%L:6%S97,@8V]M;6%N
M9"X**R`C(%1H:7,@:7,@=&AE(%-E;F1M86EL+6-O;7!A=&EB;&4@8V]M;6%N
M9"!T;R!B=6EL9"!A;&EA<R!D871A8F%S97,N"BL@(PHK+6YE=V%L:6%S97-?
M<&%T:"`]"BLK;F5W86QI87-E<U]P871H(#T@+W5S<B]L;V-A;"]B:6XO;F5W
M86QI87-E<PHK(`HK(",@;6%I;'%?<&%T:#H@5&AE(&9U;&P@<&%T:&YA;64@
M;V8@=&AE(%!O<W1F:7@@;6%I;'$@8V]M;6%N9"X@(%1H:7,**R`C(&ES('1H
M92!396YD;6%I;"UC;VUP871I8FQE(&UA:6P@<75E=64@;&ES=&EN9R!C;VUM
M86YD+@HK(",@"BLM;6%I;'%?<&%T:"`]"BLK;6%I;'%?<&%T:"`]("]U<W(O
M;&]C86PO8FEN+VUA:6QQ"BL@"BL@(R!S971G:61?9W)O=7`Z(%1H92!G<F]U
M<"!F;W(@;6%I;"!S=6)M:7-S:6]N(&%N9"!Q=65U92!M86YA9V5M96YT"BL@
M(R!C;VUM86YD<RX@(%1H:7,@;75S="!B92!A(&=R;W5P(&YA;64@=VET:"!A
M(&YU;65R:6-A;"!G<F]U<"!)1"!T:&%T"BL@(R!I<R!N;W0@<VAA<F5D('=I
M=&@@;W1H97(@86-C;W5N=',L(&YO="!E=F5N('=I=&@@=&AE(%!O<W1F:7@@
M86-C;W5N="X**R`C"BLM<V5T9VED7V=R;W5P(#T**RMS971G:61?9W)O=7`@
M/2!M86EL9')O<`HK(`HK(",@;6%N<&%G95]D:7)E8W1O<GDZ(%1H92!L;V-A
M=&EO;B!O9B!T:&4@4&]S=&9I>"!O;BUL:6YE(&UA;G5A;"!P86=E<RX**R`C
M"BLM;6%N<&%G95]D:7)E8W1O<GD@/0HK*VUA;G!A9V5?9&ER96-T;W)Y(#T@
M+W5S<B]L;V-A;"]M86X**R`**R`C('-A;7!L95]D:7)E8W1O<GDZ(%1H92!L
M;V-A=&EO;B!O9B!T:&4@4&]S=&9I>"!S86UP;&4@8V]N9FEG=7)A=&EO;B!F
M:6QE<RX**R`C"BLM<V%M<&QE7V1I<F5C=&]R>2`]"BLK<V%M<&QE7V1I<F5C
M=&]R>2`]("]U<W(O;&]C86PO971C+W!O<W1F:7@**R`**R`C(')E861M95]D
M:7)E8W1O<GDZ(%1H92!L;V-A=&EO;B!O9B!T:&4@4&]S=&9I>"!214%$344@
M9FEL97,N"BL@(PHK+7)E861M95]D:7)E8W1O<GD@/0HK*W)E861M95]D:7)E
M8W1O<GD@/2!N;PID:69F("U.<G4@<&]S=&9I>"]P:V<M:6YS=&%L;"!P;W-T
M9FEX+6YE=R]P:V<M:6YS=&%L;`HM+2T@<&]S=&9I>"]P:V<M:6YS=&%L;`E4
M:'4@2G5N(#(P(#$S.C,S.C4U(#(P,#(**RLK('!O<W1F:7@M;F5W+W!K9RUI
M;G-T86QL"51H=2!*=6X@,C`@,3,Z,S,Z-34@,C`P,@I`0"`M,2PV("LQ+#8@
M0$`*(",A+V)I;B]S:`H@(PHM(PDD1G)E94)31#H@<&]R=',O;6%I;"]P;W-T
M9FEX+W!K9RUI;G-T86QL+'8@,2XQ-2`R,#`R+S`V+S(P(#`Q.C,R.C(P(&1W
M8VIR($5X<"`D"BLC"21&<F5E0E-$.B!P;W)T<R]M86EL+W!O<W1F:7@M8W5R
M<F5N="]P:V<M:6YS=&%L;"QV(#$N,3,@,C`P,B\P-B\R,"`P,3HS-#HP,"!D
M=V-J<B!%>'`@)`H@(PH@"B!02T=?4%)%1DE8/21[4$M'7U!2149)6#H]+W5S
M<B]L;V-A;'T*9&EF9B`M3G)U('!O<W1F:7@O<&MG+6UE<W-A9V4@<&]S=&9I
M>"UN97<O<&MG+6UE<W-A9V4*+2TM('!O<W1F:7@O<&MG+6UE<W-A9V4)5&AU
M($IA;B`@,B`Q-#HR.3HQ,2`R,#`S"BLK*R!P;W-T9FEX+6YE=R]P:V<M;65S
M<V%G90E4:'4@1&5C(#(V(#$P.C4X.C,S(#(P,#(*0$`@+3@L,C$@*S@L,3`@
M0$`*('-E;F1M86EL7W-U8FUI=%]E;F%B;&4](DY/(@H@<V5N9&UA:6Q?;7-P
M7W%U975E7V5N86)L93TB3D\B"B`*+2`@*BI/4BHJ"BM4:&ES('=I;&P@9&ES
M86)L92!396YD;6%I;"!C;VUP;&5T96QY+@H@"BUS96YD;6%I;%]E;F%B;&4]
M(DY/3D4B"B`*+71H96X@='EP92!T:&ES(&-O;6UA;F0@87,@<F]O=#H*+0HM
M;&X@+7,@+W5S<B]L;V-A;"]S8FEN+W!O<W1F:7@@+W5S<B]L;V-A;"]E=&,O
M<F,N9"]P;W-T9FEX+G-H"BT*+45I=&AE<B!O9B!T:&5S92!W:6QL(&1I<V%B
M;&4@4V5N9&UA:6P@8V]M<&QE=&5L>2X@(%1H92!L871T97(@9F]R;2!I<R!U
M<V5F=6P*+6EF('EO=2!N965D('1O('=A:70@=6YT:6P@;W1H97(@;&]C86P@
M<&%C:V%G92!I;FET:6%L:7IA=&EO;B`H<W5C:"!A<R!L9&-O;F9I9PHM9F]R
M(%!O<W1G<F5S(&]R($UY4U%,*2!I<R!D;VYE+B`@5&AE(&9O<FUE<B!M971H
M;V0@=VEL;"!S=&%R="!P;W-T9FEX('9E<GD*+65A<FQY(&]N(&EN('1H92!B
M;V]T('!R;V-E<W,N"BT*+0HM06QS;RP@>6]U('=I;&P@=V%N="!T;R!D:7-A
M8FQE('-O;64@4V5N9&UA:6PM<W!E8VEF:6,@9&%I;'D@;6%I;G1E;F%N8V4*
M*T%L<V\L('EO=2!M87D@=VES:"!T;R!D:7-A8FQE('-O;64@4V5N9&UA:6PM
M<W!E8VEF:6,@9&%I;'D@;6%I;G1E;F%N8V4*(')O=71I;F5S(&EN('EO=7(@
M+V5T8R]P97)I;V1I8RYC;VYF(&9I;&4Z"B`*(&1A:6QY7W-T871U<U]M86EL
M7W)E:F5C='-?96YA8FQE/2).3R(@("`@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("`@(`ID:69F("U.<G4@<&]S=&9I>"]P:V<M<&QI<W0@<&]S
M=&9I>"UN97<O<&MG+7!L:7-T"BTM+2!P;W-T9FEX+W!K9RUP;&ES=`E4=64@
M1F5B(#$R(#$R.C0Q.C(V(#(P,#(**RLK('!O<W1F:7@M;F5W+W!K9RUP;&ES
M=`E7960@2F%N("`X(#(R.C`Y.C`V(#(P,#,*0$`@+3,R+#8@*S,R+#<@0$`*
M(&5T8R]P;W-T9FEX+W-A;7!L92UL;V-A;"YC9@H@971C+W!O<W1F:7@O<V%M
M<&QE+6UA:6XN8V8*(&5T8R]P;W-T9FEX+W-A;7!L92UM87-T97(N8V8**V5T
M8R]P;W-T9FEX+W-A;7!L92UM:6UE+F-F"B!E=&,O<&]S=&9I>"]S86UP;&4M
M;6ES8RYC9@H@971C+W!O<W1F:7@O<V%M<&QE+7!C<F4M86-C97-S+F-F"B!E
M=&,O<&]S=&9I>"]S86UP;&4M<&-R92UB;V1Y+F-F"D!`("TX-BPV("LX-RPW
M($!`"B!B:6XO;6%I;'$*("4E4U5"7U1%4U0E)7-B:6XO<VUT<"US:6YK"B`E
M)5-50E]415-4)25S8FEN+W-M='`M<V]U<F-E"BLE)5!/4E1$3T-3)25S:&%R
M92]D;V,O<&]S=&9I>"]!1$1215-37T-,05-37U)%041-10H@)2503U)41$]#
M4R4E<VAA<F4O9&]C+W!O<W1F:7@O1$)?4D5!1$U%"B`E)5!/4E1$3T-3)25S
M:&%R92]D;V,O<&]S=&9I>"]$14)51U]214%$344*("4E4$]25$1/0U,E)7-H
M87)E+V1O8R]P;W-T9FEX+T544DY?4D5!1$U%"D!`("TY,RPQ,R`K.34L,38@
M0$`*("4E4$]25$1/0U,E)7-H87)E+V1O8R]P;W-T9FEX+TE.4U1!3$P*("4E
M4$]25$1/0U,E)7-H87)E+V1O8R]P;W-T9FEX+TQ$05!?4D5!1$U%"B`E)5!/
M4E1$3T-3)25S:&%R92]D;V,O<&]S=&9I>"],24Y56%]214%$344**R4E4$]2
M5$1/0U,E)7-H87)E+V1O8R]P;W-T9FEX+TQ/0T%,7U)%0TE0245.5%]214%$
M344*("4E4$]25$1/0U,E)7-H87)E+V1O8R]P;W-T9FEX+TQ-5%!?4D5!1$U%
M"B`E)5!/4E1$3T-3)25S:&%R92]D;V,O<&]S=&9I>"]-04-/4UA?4D5!1$U%
M"BLE)5!/4E1$3T-3)25S:&%R92]D;V,O<&]S=&9I>"]-04E,1%)/4%]214%$
M344*("4E4$]25$1/0U,E)7-H87)E+V1O8R]P;W-T9FEX+TU94U%,7U)%041-
M10H@)2503U)41$]#4R4E<VAA<F4O9&]C+W!O<W1F:7@O3D937U)%041-10H@
M)2503U)41$]#4R4E<VAA<F4O9&]C+W!O<W1F:7@O4$%#2T%'15]214%$344*
M("4E4$]25$1/0U,E)7-H87)E+V1O8R]P;W-T9FEX+U!#4D5?4D5!1$U%"B`E
M)5!/4E1$3T-3)25S:&%R92]D;V,O<&]S=&9I>"]135%07U)%041-10HK)250
M3U)41$]#4R4E<VAA<F4O9&]C+W!O<W1F:7@O4D5,14%315].3U1%4PH@)250
M3U)41$]#4R4E<VAA<F4O9&]C+W!O<W1F:7@O4D535%))0U1)3TY?0TQ!4U-?
M4D5!1$U%"B`E)5!/4E1$3T-3)25S:&%R92]D;V,O<&]S=&9I>"]305-,7U)%
M041-10H@)2503U)41$]#4R4E<VAA<F4O9&]C+W!O<W1F:7@O54Q44DE87U)%
M041-10ID:69F("U.<G4@<&]S=&9I>"]S8W)I<'1S+V-O;F9I9W5R92!P;W-T
M9FEX+6YE=R]S8W)I<'1S+V-O;F9I9W5R90HM+2T@<&]S=&9I>"]S8W)I<'1S
M+V-O;F9I9W5R90E7960@2F%N(#,P(#$T.C4Y.C0P(#(P,#(**RLK('!O<W1F
M:7@M;F5W+W-C<FEP=',O8V]N9FEG=7)E"5=E9"!!=6<@,CD@,C,Z,S8Z,S@@
M,C`P,0I`0"`M,2PV("LQ+#8@0$`*(",A+V)I;B]S:`H@(PHM(R`D1G)E94)3
M1#H@<&]R=',O;6%I;"]P;W-T9FEX+W-C<FEP=',O8V]N9FEG=7)E+'8@,2XV
M(#(P,#(O,#$O,S`@,3DZ-3DZ-#`@9'=C:G(@17AP("0**R,@)$9R965"4T0Z
M('!O<G1S+VUA:6PO<&]S=&9I>"UC=7)R96YT+W-C<FEP=',O8V]N9FEG=7)E
M+'8@,2XW(#(P,#$O,#@O,S`@,#,Z,S8Z,S@@9'=C:G(@17AP("0*(`H@9F]R
M(&8@:6X@8&9I;F0@)'M74DM34D-]("UT>7!E(&8@?"!X87)G<R!G<F5P("UL
M("=<(5PA4%)%1DE87"%<(2<@8"`[(&1O(%P*(`EM=B`D9B`D9BYO<FEG("8F
M('-E9"!S*R$A4%)%1DE8(2$K)%!2149)6"MG(#P@)&8N;W)I9R`^("1F("8F
M(%P*9&EF9B`M3G)U('!O<W1F:7@O<V-R:7!T<R]C;VYF:6=U<F4N<&]S=&9I
M>"!P;W-T9FEX+6YE=R]S8W)I<'1S+V-O;F9I9W5R92YP;W-T9FEX"BTM+2!P
M;W-T9FEX+W-C<FEP=',O8V]N9FEG=7)E+G!O<W1F:7@)36]N($IA;B`@-B`Q
M,SHR.#HU,"`R,#`S"BLK*R!P;W-T9FEX+6YE=R]S8W)I<'1S+V-O;F9I9W5R
M92YP;W-T9FEX"5=E9"!*86X@(#@@,C(Z,#<Z,#$@,C`P,PI`0"`M,2PU("LQ
M+#4@0$`*(",A+V)I;B]S:`HM(R`D1G)E94)31#H@<&]R=',O;6%I;"]P;W-T
M9FEX+W-C<FEP=',O8V]N9FEG=7)E+G!O<W1F:7@L=B`Q+C(U(#(P,#,O,#$O
M,#0@,38Z,3<Z,C8@<V5A;F,@17AP("0**R,@)$9R965"4T0Z('!O<G1S+VUA
M:6PO<&]S=&9I>"UC=7)R96YT+W-C<FEP=',O8V]N9FEG=7)E+G!O<W1F:7@L
M=B`Q+C0Q(#(P,#(O,3$O,C$@,34Z,S@Z,S8@9'=C:G(@17AP("0*(`H@:68@
M6R`M9B`D>U=22T1)4E!2149)6'TD>T-54D1)4GTO36%K969I;&4N:6YC(%T[
M('1H96X*(`EE>&ET"D!`("TR,BPQ-"`K,C(L,38@0$`*(`D)+2UC:&5C:VQI
M<W0@(EQN7`H@4&QE87-E('-E;&5C="!D97-I<F5D(&]P=&EO;G,Z(B`M,2`M
M,2`Q-B!<"B!00U)%"0DB4&5R;"!#;VUP871I8FQE(%)E9W5L87(@17AP<F5S
M<VEO;G,B("(D<W1A='5S7U!#4D4B(%P*+5-!4TP)"2)#>7)U<R!305-,("A3
M:6UP;&4@075T:&5N=&EC871I;VX@86YD(%-E8W5R:71Y($QA>65R*2(@(B1S
M=&%T=7-?4T%33"(@7`HK4T%33`D)(D-Y<G5S(%-!4TQV,2`H4VEM<&QE($%U
M=&AE;G1I8V%T:6]N(&%N9"!396-U<FET>2!,87EE<BDB("(D<W1A='5S7U-!
M4TPB(%P**U-!4TPR"0DB0WER=7,@4T%33'8R("A3:6UP;&4@075T:&5N=&EC
M871I;VX@86YD(%-E8W5R:71Y($QA>65R*2(@(B1S=&%T=7-?4T%33#(B(%P*
M($1",PD)(D)E<FME;&5Y($1",R`H<F5Q=6ER960@:68@4T%33"!A;'-O(&)U
M:6QT('=I=&@@1$(S*2(@(B1S=&%T=7-?1$(S(B!<"B!->5-13`D)(DUY4U%,
M(&UA<"!L;V]K=7!S(B`B)'-T871U<U]->5-13"(@7`H@4&=344P)"2)0;W-T
M9W)E4U%,(&UA<"!L;V]K=7!S(B`B)'-T871U<U]09U-13"(@7`H@3W!E;DQ$
M05`)(D]P96Y,1$%0(&UA<"!L;V]K=7!S(B`B)'-T871U<U]/<&5N3$1!4"(@
M7`H@5&5S=`D)(E--5%`O3$U44"!T97-T('-E<G9E<B!A;F0@9V5N97)A=&]R
M(B`B)'-T871U<U]497-T(B!<"BU43%,)"2)396-U<F4@4V]C:V5T<R!,87EE
M<B!A;F0@5')A;G-P;W)T($QA>65R(%-E8W5R:71Y(B`B)'-T871U<U]43%,B
M(%P*+4E0=C8)"2))4'8V('-U<'!O<G0@*&YO="!+04U%(&]F9FEC:6%L*2(@
M(B1S=&%T=7-?25!V-B(@7`HK5$Q3"0DB4U-,(&%N9"!43%,B("(D<W1A='5S
M7U1,4R(@7`HK25!V-@D)(DE0=C8@<W5P<&]R="`H8W5R<F5N=&QY(&)R;VME
M;BDB("(D<W1A='5S7TE0=C8B(%P**TE0=C943%,)"2))4'8V('-U<'!O<G0@
M=VET:"!34TP@86YD(%1,4R(@(B1S=&%T=7-?25!V-E1,4R(@7`H@,CX@)'1E
M;7!F:6QE"B`*(`ER971V86P])#\*0$`@+34X+#@@*S8P+#@@0$`*(%-50E]4
M3%,](D!C;VUM96YT("(*(%-50E]415-4/2)`8V]M;65N="`B"B`*+69O<B!I
M.R!D;PHM"6-A<V4@)&D@:6X**W=H:6QE(%L@(B0Q(B!=.R!D;PHK"6-A<V4@
M)#$@:6X*(`D)4$-212D*(`D)"65C:&\@(DQ)0E]$15!%3D13*ST)<&-R92XP
M.EPD>U!/4E131$E2?2]D979E;"]P8W)E(@H@"0D)96-H;R`B4$]35$9)6%]#
M0T%21U,K/0DM1$A!4U]00U)%("U)7"1[3$]#04Q"05-%?2]I;F-L=61E(@I`
M0"`M-C<L,3,@*S8Y+#,R($!`"B`)"0EE8VAO(")00U)%7U-51D9)6#T)*W!C
M<F4B"B`)"0E354)?4$-213TB(@H@"0D).SL*+0D)4T%33"D*+0D)"65C:&\@
M(DQ)0E]$15!%3D13*ST)<V%S;"XX.EPD>U!/4E131$E2?2]S96-U<FET>2]C
M>7)U<RUS87-L(@HM"0D)96-H;R`B4$]35$9)6%]#0T%21U,K/0DM1%5315]3
M05-,7T%55$@@+4E<)'M,3T-!3$)!4T5]+VEN8VQU9&4B"BT)"0EE8VAO(")0
M3U-41DE87T%56$Q)0E,K/0DM3%PD>TQ/0T%,0D%317TO;&EB("UL<V%S;"`M
M;'!A;2`M;&-R>7!T(@HM"0D)96-H;R`B4T%33%]3549&25@]"2MS87-L(@HM
M"0D):68@6R`M9B`D>U!2149)6'TO;&EB+VQI8G-A<VPN82!=.R!T:&5N(`HM
M"0D)"6EF(&YM("1[4%)%1DE8?2]L:6(O;&EB<V%S;"YA('P@9W)E<"`M=W$@
M(FUY<W%L7W9E<FEF>5]P87-S=V]R9"([('1H96X**R`@("`@("`@("`@("`@
M("!305-,*0HK("`@("`@("`@("`@("`@("`@("`@("`@96-H;R`B3$E"7T1%
M4$5.1%,K/2`@("`@<V%S;"XX.EPD>U!/4E131$E2?2]S96-U<FET>2]C>7)U
M<RUS87-L(@HK("`@("`@("`@("`@("`@("`@("`@("`@96-H;R`B4$]35$9)
M6%]#0T%21U,K/2`@+4154T5?4T%33%]!551(("U)7"1[3$]#04Q"05-%?2]I
M;F-L=61E("U)7"1[3$]#04Q"05-%?2]I;F-L=61E+W-A<VPQ(@HK("`@("`@
M("`@("`@("`@("`@("`@("`@96-H;R`B4$]35$9)6%]!55A,24)3*ST@+4Q<
M)'M,3T-!3$)!4T5]+VQI8B`M;'-A<VP@+6QP86T@+6QC<GEP="(**R`@("`@
M("`@("`@("`@("`@("`@("`@(&5C:&\@(E-!4TQ?4U5&1DE8/2`@("`@("MS
M87-L(@HK("`@("`@("`@("`@("`@("`@("`@("`@:68@6R`M9B`D>U!2149)
M6'TO;&EB+VQI8G-A<VPN82!=.R!T:&5N"BL@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("`@(&EF(&YM("1[4%)%1DE8?2]L:6(O;&EB<V%S;"YA('P@
M9W)E<"`M=W$@(FUY<W%L7W9E<FEF>5]P87-S=V]R9"([('1H96X**R`@("`@
M("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("!E8VAO(")03U-4
M1DE87T-#05)'4RL]("`M1$A!4U]-65-13"`M25PD>TQ/0T%,0D%317TO:6YC
M;'5D92]M>7-Q;"(**R`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("!E8VAO(")03U-41DE87T%56$Q)0E,K/2!<)'M,3T-!3$)!4T5]
M+VQI8B]M>7-Q;"]L:6)M>7-Q;&-L:65N="YA("UL;2`M;'HB"BL@("`@("`@
M("`@("`@("`@("`@("`@("`@("`@("`@(&9I"BL@("`@("`@("`@("`@("`@
M("`@("`@("!E;'-E"BL@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@
M(&5C:&\@(E!/4U1&25A?0T-!4D=3*ST@("U$2$%37TU94U%,("U)7"1[3$]#
M04Q"05-%?2]I;F-L=61E+VUY<W%L(@HK("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("!E8VAO(")03U-41DE87T%56$Q)0E,K/2!<)'M,3T-!3$)!
M4T5]+VQI8B]M>7-Q;"]L:6)M>7-Q;&-L:65N="YA("UL;2`M;'HB"BL@("`@
M("`@("`@("`@("`@("`@("`@("!F:0HK("`@("`@("`@("`@("`@("`@("`@
M("`@96-H;R`B+FEF(&5X:7-T<R@O=7-R+VQI8B]L:6)K<F(N82DB"BL@("`@
M("`@("`@("`@("`@("`@("`@("!E8VAO(")03U-41DE87T%56$Q)0E,K/2`M
M;&MR8B`M;&1E<R`M;&-O;5]E<G(B"BL@("`@("`@("`@("`@("`@("`@("`@
M("!E8VAO("(N96YD:68B"BL@("`@("`@("`@("`@("`@("`@("`@("!354)?
M4T%33#TB(@HK("`@("`@("`@("`@("`@("`@("`@("`@.SL**PD)4T%33#(I
M"BL)"0EE8VAO("),24)?1$5014Y$4RL]"7-A<VPR+C(Z7"1[4$]25%-$25)]
M+W-E8W5R:71Y+V-Y<G5S+7-A<VPR(@HK"0D)96-H;R`B4$]35$9)6%]#0T%2
M1U,K/0DM1%5315]305-,7T%55$@@+4E<)'M,3T-!3$)!4T5]+VEN8VQU9&4@
M+4E<)'M,3T-!3$)!4T5]+VEN8VQU9&4O<V%S;"(**PD)"65C:&\@(E!/4U1&
M25A?05583$E"4RL]"2U,7"1[3$]#04Q"05-%?2]L:6(@+6QS87-L,B`M;'!A
M;2`M;&-R>7!T(@HK"0D)96-H;R`B4T%33%]3549&25@]"2MS87-L,B(**PD)
M"6EF(%L@+68@)'M04D5&25A]+VQI8B]L:6)S87-L,BYA(%T[('1H96X**PD)
M"0EI9B!N;2`D>U!2149)6'TO;&EB+VQI8G-A<VPR+F$@?"!G<F5P("UW<2`B
M;7ES<6Q?=F5R:69Y7W!A<W-W;W)D(CL@=&AE;@H@"0D)"0EE8VAO(")03U-4
M1DE87T-#05)'4RL]("`M1$A!4U]-65-13"`M25PD>TQ/0T%,0D%317TO:6YC
M;'5D92]M>7-Q;"(*(`D)"0D)96-H;R`B4$]35$9)6%]!55A,24)3*ST@7"1[
M3$]#04Q"05-%?2]L:6(O;7ES<6PO;&EB;7ES<6QC;&EE;G0N82`M;&T@+6QZ
M(@H@"0D)"69I"D!`("TY,"PX("LQ,3$L."!`0`H@"0D)96-H;R`B34%.."L]
M"0ET;'-M9W(N."(*(`D)"65C:&\@(E!/4U1&25A?0T-!4D=3*ST)+41(05-?
M4U-,("U)+W5S<B]I;F-L=61E+V]P96YS<VPB"B`)"0EE8VAO(")03U-41DE8
M7T%56$Q)0E,K/0DM;'-S;"`M;&-R>7!T;R(*+0D)"65C:&\@(D1)4U1&24Q%
M4RL]"5PD>T1)4U1.04U%?2YT87(N9WH@<&9I>'1L<RTP+C@N,3%A+3$N,2XQ
M,2TP+CDN-F<N=&%R+F=Z(@HM"0D)96-H;R`B15A44D%?4$%40TA%4RL]"5PD
M>U=22T1)4GTO<&9I>'1L<RTP+C@N,3%A+3$N,2XQ,2TP+CDN-F<O<&9I>'1L
M<RYD:69F(@HK"0D)96-H;R`B1$E35$9)3$53*ST)7"1[1$E35$Y!345]+G1A
M<BYG>B!P9FEX=&QS+3`N."XQ,BTR+C`N,"XQ+3`N.2XV:"YT87(N9WHB"BL)
M"0EE8VAO(")%6%1205]0051#2$53*ST)7"1[5U)+1$E2?2]P9FEX=&QS+3`N
M."XQ,BTR+C`N,"XQ+3`N.2XV:"]P9FEX=&QS+F1I9F8B"B`)"0EE8VAO(")0
M051#2%]35%))4#T)+7`Q(@H@"0D)96-H;R`B5$Q37U-51D9)6#T)*W1L<R(*
M(`D)"5-50E]43%,](B(*0$`@+3$S,BPQ,"`K,34S+#$P($!`"B`)"0EI9B!;
M(&!U;F%M92`M;6`@(3T@(FDS.#8B(%T[('1H96X*(`D)"0DO=7-R+V)I;B]D
M:6%L;V<@+2UM<V=B;W@@(DE0=C8@<&%T8V@@8W5R<F5N=&QY(&]N;'D@<W5P
M<&]R=&5D(&]N(&DS.#8A(B`U(#8P(#X@+V1E=B]S=&1E<G(*(`D)"0ER;2`M
M9B`D>U=22T1)4E!2149)6'TD>T-54D1)4GTO36%K969I;&4N:6YC"BT)"0D)
M97AI="`Q"BL)"0EE>&ET(#$*(`D)"69I"BT)"0EI9B!;("UZ("1354)?5$Q3
M(%T[('1H96X*+0D)"0DO=7-R+V)I;B]D:6%L;V<@+2UM<V=B;W@@(DE0=C8@
M86YD(%1,4R!P871C:"!C86YN;W0@8F4@=7-E9"!S:6UU;'1A;F5O=7-L>2$B
M(#4@-C`@/B`O9&5V+W-T9&5R<@HK"0D):68@6R!8)%-50E]43%,@/2`B6"(@
M73L@=&AE;@HK"0D)"2]U<W(O8FEN+V1I86QO9R`M+6US9V)O>"`B4V5L96-T
M(&5X86-T;'D@;VYE(&]F('1H92!)4'8V(&%N9"!43%,@<&%T8VAE<R(@-2`V
M,"`^("]D978O<W1D97)R"B`)"0D)<FT@+68@)'M74DM$25)04D5&25A])'M#
M55)$25)]+TUA:V5F:6QE+FEN8PH@"0D)"65X:70@,0H@"0D)9FD*0$`@+3$T
M-"PQ-2`K,38U+#,P($!`"B`)"0EE8VAO(")0051#2%]$25-47U-44DE0/2`M
M<#$B"B`)"0EE8VAO("))4'8V7U-51D9)6#T)*VEP=C8B"B`)"0EE8VAO("(B
M"BL)"0E)4'8V4T5,14-4140]6453"B`)"0D[.PHM"2`@("`@("`@(B(I"BL)
M"4E0=C943%,I"BL)"0EI9B!;(%@D4U5"7U1,4R`](")8(B`M;R!8)$E0=C93
M14Q%0U1%1"`A/2!8(%T[('1H96X**PD)"0DO=7-R+V)I;B]D:6%L;V<@+2UM
M<V=B;W@@(E-E;&5C="!E>&%C=&QY(&]N92!O9B!T:&4@25!V-B!A;F0@5$Q3
M('!A=&-H97,B(#4@-C`@/B`O9&5V+W-T9&5R<@HK"0D)"7)M("UF("1[5U)+
M1$E24%)%1DE8?21[0U521$E2?2]-86ME9FEL92YI;F,**PD)"0EE>&ET(#$*
M*PD)"69I"BL)"0EE8VAO(")-04XX*ST)"71L<VUG<BXX(@HK"0D)96-H;R`B
M4$]35$9)6%]#0T%21U,K/0DM1$A!4U]34TP@+4DO=7-R+VEN8VQU9&4O;W!E
M;G-S;"(**PD)"65C:&\@(E!/4U1&25A?05583$E"4RL]"2UL<W-L("UL8W)Y
M<'1O(@HK"0D)96-H;R`B4$%40TA?4TE415,K/0EF='`Z+R]F='`N<W1A8VLN
M;FPO<'5B+W!O<W1F:7@O=&QS*VEP=C8O,2XQ,"\B"BL)"0EE8VAO(")0051#
M2$9)3$53*ST)=&QS*VEP=C8M,2XQ,"UP9BTR+C`N,"XQ+G!A=&-H+F=Z(@HK
M"0D)96-H;R`B4$%40TA?1$E35%]35%))4#T)+7`Q(@HK"0D)96-H;R`B5$Q3
M7U-51D9)6#T)*VEP=C8K=&QS(@HK"0D)4U5"7U1,4STB(@H@"0D).SL*(`D)
M*BD*+0D)"65C:&\@(DEN=F%L:60@;W!T:6]N*',I.B`D*B(@/B`O9&5V+W-T
M9&5R<@HK"0D)96-H;R`B56YK;F]W;B!O<'1I;VXH<RDZ("0J(B`^("]D978O
M<W1D97)R"B`)"0ER;2`M9B`D>U=22T1)4E!2149)6'TD>T-54D1)4GTO36%K
M969I;&4N:6YC"B`)"0EE>&ET(#$*(`D)"3L["B`)97-A8PHK"7-H:69T"B!D
M;VYE"B`*(&5C:&\@(E!,25-47U-50BL]"5-50E]43%,]7"(D>U-50E]43%-]
$7"(B"@``
`
end
Comment 10 Pete Fritchman freebsd_committer 2003-01-09 05:11:11 UTC
State Changed
From-To: open->closed

Committed, thanks for your work on this!